GNU bug report logs - #57752
28.1.91; emacsclient-mail.desktop doesn't work for me

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Damien Cassou <damien@HIDDEN>; dated Mon, 12 Sep 2022 18:32:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 57752 <at> debbugs.gnu.org:


Received: (at 57752) by debbugs.gnu.org; 19 Sep 2022 16:06:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 19 12:06:03 2022
Received: from localhost ([127.0.0.1]:54970 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oaJHW-00052e-SL
	for submit <at> debbugs.gnu.org; Mon, 19 Sep 2022 12:06:03 -0400
Received: from mail-pg1-f177.google.com ([209.85.215.177]:45693)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jporterbugs@HIDDEN>) id 1oaJHU-000526-GA
 for 57752 <at> debbugs.gnu.org; Mon, 19 Sep 2022 12:06:00 -0400
Received: by mail-pg1-f177.google.com with SMTP id h188so27155008pgc.12
 for <57752 <at> debbugs.gnu.org>; Mon, 19 Sep 2022 09:06:00 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:content-language:in-reply-to:mime-version
 :date:message-id:from:references:cc:to:subject:from:to:cc:subject
 :date; bh=GYtcvTVCrBEqEI96akxvvu+RX4m4Dun4elq5eXvS5Xo=;
 b=lf/sVho5jWl68O1USKOPRA7DW6rHeZYCxDfOwQ8VPk7JJqKbC9Twp12CElyr2Y9bx3
 isq5OCnQDDr3w4CIMuydUHXIcl90tKN8BTC+oEyevw42Mz1ZWZgAtV9ytVlh5BVeHRB8
 OzfHwp8r/gx9Xi96NdRQZvYBOwd4DWuPHZ3MJYd1juk4Lso4jpUcViCWLPm1HdKIqIi9
 2QwMrazd/ZGyzjlkb6ev+cdvmuoLP/AX44DEobFlNwNnpuvQQ6UT8G9QLZmFoIB3pW8c
 yY/tt2SCAdmizHe30fejRR922ImuuuRwhEHSJmppV62cqHUg/p1W7AIT/SW+UYS3kGXf
 YPsw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:content-language:in-reply-to:mime-version
 :date:message-id:from:references:cc:to:subject:x-gm-message-state
 :from:to:cc:subject:date;
 bh=GYtcvTVCrBEqEI96akxvvu+RX4m4Dun4elq5eXvS5Xo=;
 b=HMt9KMKvUXLTizc5aUw1R003cEmtPAF3EbDVHiOGVgBTl85CwReibrTNaIlr+nUFsu
 D8hPpk169D8XIVYY4lALZ6CShtmqtOo6vJNMRUqQ99PJsh7DcaAoLEwm2PB9DjGzN4JZ
 Qw2EsebRcU2A5m3Z5n67k2rq/AfLJTlrRALcV8A0m1DHxHxZ5uHM3ddNaQs/BFWgeG+m
 VM0kMAahd9pDXZC50ltz0P3wSVH4XO0ZgjNAidFPS5ccSjPD5sJV7qdqk0p1Sxf1WjCc
 gZP1IK/bqv72sSTeEvcYSdltwIRmOyojmfNJ3QcDf5oumcsZqjKngo3g42cydgk64lic
 Lxeg==
X-Gm-Message-State: ACrzQf12iAbmKnOEG/rktIc/ZB2Vb3sWXkr9JMweNgAAgmCfcqIkqJp/
 Rg336jLKK9Xv0uzSQ8Wz+X54AsoWUjsziQ==
X-Google-Smtp-Source: AMsMyM7fJTtushRjm6ARRVVXNru7QQ0VE8wTXa0uIF90gEtyYcRbbIhpmqWssRYf3/DlIroZ+j32lA==
X-Received: by 2002:aa7:8a49:0:b0:53e:6a9c:9a04 with SMTP id
 n9-20020aa78a49000000b0053e6a9c9a04mr19437243pfa.85.1663603554601; 
 Mon, 19 Sep 2022 09:05:54 -0700 (PDT)
Received: from [192.168.1.2] (cpe-76-168-148-233.socal.res.rr.com.
 [76.168.148.233]) by smtp.googlemail.com with ESMTPSA id
 b77-20020a621b50000000b00545b91e78d3sm14751638pfb.89.2022.09.19.09.05.51
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Mon, 19 Sep 2022 09:05:52 -0700 (PDT)
Subject: Re: bug#57752: 28.1.91; emacsclient-mail.desktop doesn't work for me
To: Gregory Heytings <gregory@HIDDEN>, Lars Ingebrigtsen <larsi@HIDDEN>
References: <87r10gcum8.fsf@HIDDEN> <87bkrj31r0.fsf@HIDDEN>
 <87y1unxv15.fsf@HIDDEN> <83leqn4cji.fsf@HIDDEN>
 <87v8prxtox.fsf@HIDDEN> <a3cdfbd9-6e2e-c76d-c834-9ee1684fc97e@HIDDEN>
 <878rmjy78x.fsf@HIDDEN> <9e796c00-92e2-37fd-a90e-6ef615296b9e@HIDDEN>
 <87zgex56bw.fsf@HIDDEN> <a2d812f2ba10bfb33325@HIDDEN>
From: Jim Porter <jporterbugs@HIDDEN>
Message-ID: <976cc188-6910-ad73-b3ed-60838ed7d2e5@HIDDEN>
Date: Mon, 19 Sep 2022 09:05:52 -0700
MIME-Version: 1.0
In-Reply-To: <a2d812f2ba10bfb33325@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 57752
Cc: Damien Cassou <damien@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>,
 git@HIDDEN, 57752 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 9/19/2022 1:56 AM, Gregory Heytings wrote:
> Hmm...  I did not see the --apply proposal earlier, it's nice and lispy 
> indeed.
> 
> I think I would prefer to separate the two concerns (stuffing argument 
> strings into the Lisp environment on the one hand, and forms on the 
> other hand), but it seems good enough, and perhaps it's the best 
> compromise.
> 
> One disadvantage I see is that it becomes a bit more complex to write 
> function calls with arguments that are not strings.  E.g. to call
> 
> (some-func 1 "arg" t)
> 
> one would have to do something like
> 
> --eval '(defun tmp-func (arg) (some-func 1 arg t))' --apply tmp-func arg
> 
> instead of something like
> 
> --set args arg -- --eval '(some-func 1 (car args) t)'

If Emacs gained a 'set-arg' function (similar to 'setarg1' in your 
message) that does the right thing, you could say:

   --apply set-arg args arg -- --eval '(some-func 1 (car args) t)'

Another way would be a function that "intelligently" converts arguments 
to other types. This is similar to how Eshell command forms work: if 
you're calling a Lisp function with sh-like syntax, it will 
automatically convert arguments that look like numbers into actual 
numbers. So maybe you could do something like:

   --apply autoconvert-strings-and-apply some-func 1 arg t

That seems clumsier to me than 'set-arg', but since these could all be 
written as Lisp functions, users or package authors should be able to do 
whatever they need. Of course, core Emacs could add whichever helper 
function(s) seem generally useful.

> One case in which --apply is better is when the function is already 
> defined by Emacs...

Yeah, for more-complex forms, you'd still need to fall back to --eval or 
something similar. But a Lisp function like 'set-arg' could let us reuse 
the --apply machinery. I think it could be as simple as this:

   (defun set-arg (name &rest value)
     (set (intern name) value))

That should give us '--set', except that it's spelled '--apply set-arg'.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57752; Package emacs. Full text available.

Message received at 57752 <at> debbugs.gnu.org:


Received: (at 57752) by debbugs.gnu.org; 19 Sep 2022 15:48:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 19 11:48:11 2022
Received: from localhost ([127.0.0.1]:54927 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oaJ0F-0002Kx-2u
	for submit <at> debbugs.gnu.org; Mon, 19 Sep 2022 11:48:11 -0400
Received: from mail-pf1-f170.google.com ([209.85.210.170]:38712)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jporterbugs@HIDDEN>) id 1oaJ0E-0002Kk-1s
 for 57752 <at> debbugs.gnu.org; Mon, 19 Sep 2022 11:48:10 -0400
Received: by mail-pf1-f170.google.com with SMTP id a29so4881908pfk.5
 for <57752 <at> debbugs.gnu.org>; Mon, 19 Sep 2022 08:48:10 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:content-language:in-reply-to:mime-version
 :date:message-id:from:references:cc:to:subject:from:to:cc:subject
 :date; bh=V5QkF7XZNle/mrQ0AIPtJX2lcd6md9U5QJCh8y1NMM4=;
 b=ltD5yag//dMBMMsvbKq5ejY8DWnVpQKdfG8LgIGTH8sc+iLvSCiV9Zybl20E4kdJTQ
 yYGU/LXg3EVXgdCOMmzvZgU7PV/ZK9TasdbqUkQNw9Ijkp7lZ4ZZ5sB+XY/ob1VcpXgu
 RB9gM/6cQeMObarCvW3hnDEqEqpcjbZcPxde3lT1yyTJPne711tjKAAFZsmAV5ZQoRGD
 +ZogmIuG7G1lLk/Phk7/KwZG6HUUauelvLIFObPc4Ud/eVyVhI9VbiGOGQwlMJkc/+Na
 dI9R+2MoWokgomsAH8GDRt1JHTKISwTSOT+N4lQcLb25E9+T3aesDFg0VDLTJvGo8U/j
 +jfQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:content-language:in-reply-to:mime-version
 :date:message-id:from:references:cc:to:subject:x-gm-message-state
 :from:to:cc:subject:date;
 bh=V5QkF7XZNle/mrQ0AIPtJX2lcd6md9U5QJCh8y1NMM4=;
 b=RluZrv42eR9fSBxgremVj+Tc0lgcd7mwiFLFgZnmKh33ku7LFR/7StKtuKfNe0ham8
 ejbLkNJ3/OEw0MWXLyYQbeeazT+nohpEVNTSXXX7c+wndaIuD/xcTA9ebN+nM5HqDHfC
 O4Ocka/WeighdXnUddG/YiU15Ind2BrX4UsrcSoqkdBIqI4TTSwe058yvomCUhsJHSPl
 usmhl6u4+tXtiiXIaHsRI3q9l4PY4Jh1+uy1XdnFGXrVHBPobV5QUh80MWtaq0K51IAk
 eOQNSB33dxMJHa9cK1Szv3s/myLbNcUxa++gD+LWKKKC7+hdXvSMNGhsa/dtJDYSgZUY
 JJ9A==
X-Gm-Message-State: ACrzQf3pUorTV1yI24RdOOi8yhYyQEjGNyfgBd28fNPGoxVvnGJrLma4
 hDH0oJ1cAQIXUlMNpNNxSIBEBrexfCw=
X-Google-Smtp-Source: AMsMyM4eDaFzTp/MIv64TLf63Q7GwFsLEnFKjxKE9+D3LIlW4AAVNXuElld/0/gcKXmfA4hmMs+8gw==
X-Received: by 2002:a63:e442:0:b0:438:7919:adf with SMTP id
 i2-20020a63e442000000b0043879190adfmr16138832pgk.4.1663602484056; 
 Mon, 19 Sep 2022 08:48:04 -0700 (PDT)
Received: from [192.168.1.2] (cpe-76-168-148-233.socal.res.rr.com.
 [76.168.148.233]) by smtp.googlemail.com with ESMTPSA id
 l16-20020a17090a071000b00200b2894648sm6801340pjl.52.2022.09.19.08.48.01
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Mon, 19 Sep 2022 08:48:02 -0700 (PDT)
Subject: Re: bug#57752: 28.1.91; emacsclient-mail.desktop doesn't work for me
To: Lars Ingebrigtsen <larsi@HIDDEN>
References: <87r10gcum8.fsf@HIDDEN> <87bkrj31r0.fsf@HIDDEN>
 <87y1unxv15.fsf@HIDDEN> <83leqn4cji.fsf@HIDDEN>
 <87v8prxtox.fsf@HIDDEN> <a3cdfbd9-6e2e-c76d-c834-9ee1684fc97e@HIDDEN>
 <878rmjy78x.fsf@HIDDEN> <9e796c00-92e2-37fd-a90e-6ef615296b9e@HIDDEN>
 <87zgex56bw.fsf@HIDDEN> <78d5c54b-5b33-8571-7de5-b5bd2ddd95b7@HIDDEN>
 <878rmfye8q.fsf@HIDDEN>
From: Jim Porter <jporterbugs@HIDDEN>
Message-ID: <9ec83040-913f-4020-862d-22b1ca9e819d@HIDDEN>
Date: Mon, 19 Sep 2022 08:48:02 -0700
MIME-Version: 1.0
In-Reply-To: <878rmfye8q.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 57752
Cc: Damien Cassou <damien@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>,
 git@HIDDEN, 57752 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 9/19/2022 1:12 AM, Lars Ingebrigtsen wrote:
> Jim Porter <jporterbugs@HIDDEN> writes:
> 
>> This is actually the trickiest part about this to me. If I were
>> designing this, I'd say that '--apply' consumes every positional
>> argument up to the next flag.
> 
> Sorry, that would just be a very fiddly, often-breaking interface.  If
> you say
> 
> emacs --apply foo $1 $2
> 
> and $2 happens to be "-*hakuna-matata*-", then you'd get a failure.

In my suggestion, this would be spelled

   emacs --apply foo -- $1 $2

However...

> Morover, there's no way to separate
> 
> emacs --apply foo param1 param2
> 
> from
> 
> emacs --apply foo param1 file-to-be-opened
> 
> So we need "--" to end the parameter list.

This would indeed be impossible in my suggestion (at least not without 
having 'foo' call 'find-file'). Just to make sure I understand your 
suggestion: '--apply' would consume *every* argument after it until it 
sees a '--'? So to apply 2 functions, you'd say:

   emacs --apply func1 arg1 arg2 -- --apply func2 arg3 arg4

That seems like it would probably be ok, so long as no one wanted to 
pass a literal '--' to the function. I don't think there's much of a 
security risk either, since the worst that would happen is someone 
sending "-- foobar", causing "foobar" to get opened as a file.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57752; Package emacs. Full text available.

Message received at 57752 <at> debbugs.gnu.org:


Received: (at 57752) by debbugs.gnu.org; 19 Sep 2022 12:00:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 19 08:00:26 2022
Received: from localhost ([127.0.0.1]:52601 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oaFRp-0004BG-PF
	for submit <at> debbugs.gnu.org; Mon, 19 Sep 2022 08:00:26 -0400
Received: from quimby.gnus.org ([95.216.78.240]:49838)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oaFRo-0004B3-KP
 for 57752 <at> debbugs.gnu.org; Mon, 19 Sep 2022 08:00:25 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=ujjlnXVQvbWDtK2tCmzCax8Ud+iX+Ur/d2KSKVzNvfw=; b=g7AMb9rXDQv6fvz7KSl91mtiVX
 QTSGmqgEHM/CjoKQXLkTx62yXSWHJzahQVPTBNTmsqL5t770V1W3WC4wcwUe6zGC961WrDkhY3CRt
 HKXNC92iyLPgyepJA4d7+s9HKdpf4RZIqzceOzCAuzhi3gGfmmlZ6sLLrb/twsfnc02Q=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oaFRe-0000DD-AO; Mon, 19 Sep 2022 14:00:16 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
Subject: Re: bug#57752: 28.1.91; emacsclient-mail.desktop doesn't work for me
In-Reply-To: <a2d812f2ba10bfb33325@HIDDEN> (Gregory Heytings's message
 of "Mon, 19 Sep 2022 08:56:13 +0000")
References: <87r10gcum8.fsf@HIDDEN> <87bkrj31r0.fsf@HIDDEN>
 <87y1unxv15.fsf@HIDDEN> <83leqn4cji.fsf@HIDDEN>
 <87v8prxtox.fsf@HIDDEN>
 <a3cdfbd9-6e2e-c76d-c834-9ee1684fc97e@HIDDEN>
 <878rmjy78x.fsf@HIDDEN>
 <9e796c00-92e2-37fd-a90e-6ef615296b9e@HIDDEN>
 <87zgex56bw.fsf@HIDDEN> <a2d812f2ba10bfb33325@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAD1BMVEUXExBSPiumc7Wa
 XlH///+spZNTAAAAAWJLR0QEj2jZUQAAAAd0SU1FB+YJEws5BEbJbn0AAAFkSURBVDjLrZNRooQg
 CEUhNwC6gSdtIHP/e3sgatZMf+NHJkcRLgjwk8Gvi3VEegHooBZfoE0FgloN4CmSfZ+7t+12SRQd
 NEG/nZDNLvsDAPLZgBweJNpsH45ub7cYKA4Yu735WtIajtQVrSDIMVxZEjzD3QRkAallC+HQFA43
 e+5putokm6u9S5bWy2MPFXABzATfgP2yqmJZswl6gSB7ITg94Qu4n712NXi5XEFJkrFnxtNVbBIR
 tkougILIjAPx0opVw7HQkl0AmUvKY0W0ys7s5W5lXduMOebZfLf+w9TK3c7cGxPP/TtQXah35bOV
 Yx2pPADu3rsdLOdy1cKoph8nBIttZ3zahewE5LsrObPJoY46sLdh6mgahDeQKtdaSauKxdxPgLUm
 1k7b/lQxWIDJ3p7fkORwE9lr4qAkdGlmYdtUq2be/o5ZMd+nQsU8w1cnGqO1KKTSCskfimisY8Dr
 +AelXyYxJcVJ2wAAACV0RVh0ZGF0ZTpjcmVhdGUAMjAyMi0wOS0xOVQxMTo1NzowNCswMDowMIEP
 XOkAAAAldEVYdGRhdGU6bW9kaWZ5ADIwMjItMDktMTlUMTE6NTc6MDQrMDA6MDDwUuRVAAAAAElF
 TkSuQmCC
X-Now-Playing: Jay Glass Dubs vs Guerilla Toss's _Vs_: "Skull Dub"
Date: Mon, 19 Sep 2022 14:00:13 +0200
Message-ID: <87r107vak2.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Gregory Heytings <gregory@HIDDEN> writes: > One
 disadvantage
 I see is that it becomes a bit more complex to write > function calls with
 arguments that are not strings. E.g. to call > > (some-func 1 "arg" t) 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57752
Cc: Damien Cassou <damien@HIDDEN>, Jim Porter <jporterbugs@HIDDEN>,
 Eli Zaretskii <eliz@HIDDEN>, git@HIDDEN, 57752 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Gregory Heytings <gregory@HIDDEN> writes:

> One disadvantage I see is that it becomes a bit more complex to write
> function calls with arguments that are not strings.  E.g. to call
>
> (some-func 1 "arg" t)

Yes, that's unfortunate.  On the other hand, where these things are
useful, you'd usually expect the Emacs to take string arguments.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57752; Package emacs. Full text available.

Message received at 57752 <at> debbugs.gnu.org:


Received: (at 57752) by debbugs.gnu.org; 19 Sep 2022 08:56:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 19 04:56:18 2022
Received: from localhost ([127.0.0.1]:52383 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oaCZe-0005CQ-CQ
	for submit <at> debbugs.gnu.org; Mon, 19 Sep 2022 04:56:18 -0400
Received: from heytings.org ([95.142.160.155]:48650)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1oaCZa-0005C9-Rf
 for 57752 <at> debbugs.gnu.org; Mon, 19 Sep 2022 04:56:16 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20220101; t=1663577773;
 bh=7paV6y7ub93HGdvdVUUSvdjJOd85v8h2zAsCNbx4DpY=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=ySPmJE4cMldkvnn1zQ6mMELKhKJMHpHYN5Sq3/F50alGIlPkknmztXOKqQCVV4gSk
 luyl0lCQd+3j6ciNlqUAcNrTKK2CwTmQH4etmG3WbE9J7fLVdc4lkr1UkzRDSKV1Lb
 oiqpS3kqW0TtGYr0L4J1/2MaVn40Ad3Vdj3Vlru1QA5XF7n+WvrkY4AGDZjBFv3zkZ
 F4CyzNatU8Eh4oWN62jyAU1EM3/G3waadimR37CZWmd+nOX22shOq2eynCk2o1aBny
 rBQrHzlakItxQM52fKHS/kB+aTYOl0qp6LaT3/aSiyqAkGsw/UkBvaz3vn2okjLj1K
 bGqqtwdbN7Iwg==
Date: Mon, 19 Sep 2022 08:56:13 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#57752: 28.1.91; emacsclient-mail.desktop doesn't work for me
In-Reply-To: <87zgex56bw.fsf@HIDDEN>
Message-ID: <a2d812f2ba10bfb33325@HIDDEN>
References: <87r10gcum8.fsf@HIDDEN> <87bkrj31r0.fsf@HIDDEN>
 <87y1unxv15.fsf@HIDDEN> <83leqn4cji.fsf@HIDDEN>
 <87v8prxtox.fsf@HIDDEN> <a3cdfbd9-6e2e-c76d-c834-9ee1684fc97e@HIDDEN>
 <878rmjy78x.fsf@HIDDEN> <9e796c00-92e2-37fd-a90e-6ef615296b9e@HIDDEN>
 <87zgex56bw.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=us-ascii
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57752
Cc: Damien Cassou <damien@HIDDEN>, Jim Porter <jporterbugs@HIDDEN>,
 Eli Zaretskii <eliz@HIDDEN>, git@HIDDEN, 57752 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>> emacs --apply func arg1 arg2
>
> Yes, that sounds good.
>

Hmm...  I did not see the --apply proposal earlier, it's nice and lispy 
indeed.

I think I would prefer to separate the two concerns (stuffing argument 
strings into the Lisp environment on the one hand, and forms on the other 
hand), but it seems good enough, and perhaps it's the best compromise.

One disadvantage I see is that it becomes a bit more complex to write 
function calls with arguments that are not strings.  E.g. to call

(some-func 1 "arg" t)

one would have to do something like

--eval '(defun tmp-func (arg) (some-func 1 arg t))' --apply tmp-func arg

instead of something like

--set args arg -- --eval '(some-func 1 (car args) t)'

Likewise, if we want to use the arguments in multiple --eval forms, 
something like

--eval '(defun setarg1 (arg) (setq arg1 arg))' --apply setarg1 arg -- --eval '(... arg1 ...)' --eval '(... arg1 ...)'

will be necessary.  Yet another example is that to loop over all 
arguments, one would have to do something like

--eval '(defun loop-fun (args) (dolist (arg args) ...))' --apply loop-fun args

instead of something like

--set args arg -- --eval '(dolist (arg args) ...)'

One case in which --apply is better is when the function is already 
defined by Emacs, e.g. (with the .desktop example mentioned upthread, and 
assuming that find-many-files is defined by Emacs)

--apply find-many-files %F

is probably clearer than

--set files %F -- --eval '(find-many-files files)'

>
> (But we'd still need "--" to say that the arguments have ended.)
>

Except for the last argument(s), of course.  IOW, except if there are no 
arguments that must not be passed to the function after the function 
arguments.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57752; Package emacs. Full text available.

Message received at 57752 <at> debbugs.gnu.org:


Received: (at 57752) by debbugs.gnu.org; 19 Sep 2022 08:12:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 19 04:12:33 2022
Received: from localhost ([127.0.0.1]:52259 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oaBtI-00082S-Pe
	for submit <at> debbugs.gnu.org; Mon, 19 Sep 2022 04:12:32 -0400
Received: from quimby.gnus.org ([95.216.78.240]:47720)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oaBtH-00082F-CF
 for 57752 <at> debbugs.gnu.org; Mon, 19 Sep 2022 04:12:31 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=TB0ejUgxqFEbyuqJ5I6bcsqBJ0Pe7HKZgoBuhof+vIQ=; b=TrQX5UBsjaKJWbf77dOFMP12/W
 61yR1L6XTntyDMyxJsoS8Z1JNy3zh2g2YQxFiGLgF/9e+Vnt2hw6Aq3O2X6r0KwT2NaMFS630uSYh
 Vh9S9k3n4hEAqj9QgLizKwSkyiwWfEsci9a1PnKBKgzLM1bDUdyKa4QNbcEYmDu8Jrak=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oaBt8-00075f-8R; Mon, 19 Sep 2022 10:12:24 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Jim Porter <jporterbugs@HIDDEN>
Subject: Re: bug#57752: 28.1.91; emacsclient-mail.desktop doesn't work for me
In-Reply-To: <78d5c54b-5b33-8571-7de5-b5bd2ddd95b7@HIDDEN> (Jim Porter's
 message of "Sun, 18 Sep 2022 11:31:58 -0700")
References: <87r10gcum8.fsf@HIDDEN> <87bkrj31r0.fsf@HIDDEN>
 <87y1unxv15.fsf@HIDDEN> <83leqn4cji.fsf@HIDDEN>
 <87v8prxtox.fsf@HIDDEN>
 <a3cdfbd9-6e2e-c76d-c834-9ee1684fc97e@HIDDEN>
 <878rmjy78x.fsf@HIDDEN>
 <9e796c00-92e2-37fd-a90e-6ef615296b9e@HIDDEN>
 <87zgex56bw.fsf@HIDDEN>
 <78d5c54b-5b33-8571-7de5-b5bd2ddd95b7@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAALVBMVEXu7u3Y0NfGoK/P
 NkTdV2e3rsuZeYdLOkUTBw9kV14nEhlLJio2IiosGiP////Zf5E1AAAAAWJLR0QOb70wTwAAAAd0
 SU1FB+YJEwcsIERlldwAAAGOSURBVDjLrdK9TsJQFAfwYuJOE0kMkcHi4iq+AKUvwEA0xBV4Az4S
 WeV4oaNCBRcXLhe7Yk2ZhVSZ+xH6LrYF1J7WxMH/eH+959xzeznuKzz330nyPJ8Mr2Rzu5xtlxKC
 kD+RxKzkJ3cuSTvYE0VRkIRsTioUQju2OZB2yf/xPIlU9ZjfJAz7NbgpBSkiOJ0+xUPfaFXiIKUs
 G9/wY/pU8aESX6o0qsSXKtUqA9tbr96F4aLfrw5pS2nDbRjKzKR2GwAIgittDJN5DJTpmKrUA1zq
 EkyHAIlC2V3QWDj6WPt1SBRc1weg0R0r73tCZQwZdwlkOKXgIDhULZnN3y2QEaQpdHVdN2J6LLtz
 XVcdhnuoBmGMMAtDmvjDgRPZkWZTzYOXXhTWj8DgTXUjwEYe2E0jCg2v1HNzjU/F4BpkCosOBkJW
 /t3OiMmF3lWGBceFWdPGpZh35xQmA9wcZOIPYtcioAalVKWDwSLBr62bGOgGXhuoOQSPCmCi/ALd
 ezygBsw3gqGnseBhkTrHfQIpVOojvKi+iAAAACV0RVh0ZGF0ZTpjcmVhdGUAMjAyMi0wOS0xOVQw
 Nzo0NDozMiswMDowMHsDNFgAAAAldEVYdGRhdGU6bW9kaWZ5ADIwMjItMDktMTlUMDc6NDQ6MzIr
 MDA6MDAKXozkAAAAAElFTkSuQmCC
X-Now-Playing: Anne Clark's _Hopeless Cases_: "Hope Road"
Date: Mon, 19 Sep 2022 10:12:21 +0200
Message-ID: <878rmfye8q.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Jim Porter <jporterbugs@HIDDEN> writes: > This is actually
 the trickiest part about this to me. If I were > designing this, I'd say
 that '--apply' consumes every positional > argument up to the next flag. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57752
Cc: Damien Cassou <damien@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>,
 git@HIDDEN, 57752 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Jim Porter <jporterbugs@HIDDEN> writes:

> This is actually the trickiest part about this to me. If I were
> designing this, I'd say that '--apply' consumes every positional
> argument up to the next flag.

Sorry, that would just be a very fiddly, often-breaking interface.  If
you say

emacs --apply foo $1 $2

and $2 happens to be "-*hakuna-matata*-", then you'd get a failure.
Morover, there's no way to separate

emacs --apply foo param1 param2

from 

emacs --apply foo param1 file-to-be-opened

So we need "--" to end the parameter list.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57752; Package emacs. Full text available.

Message received at 57752 <at> debbugs.gnu.org:


Received: (at 57752) by debbugs.gnu.org; 19 Sep 2022 08:09:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 19 04:09:23 2022
Received: from localhost ([127.0.0.1]:52250 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oaBqE-0007x7-UQ
	for submit <at> debbugs.gnu.org; Mon, 19 Sep 2022 04:09:23 -0400
Received: from quimby.gnus.org ([95.216.78.240]:47632)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oaBqD-0007ww-PS
 for 57752 <at> debbugs.gnu.org; Mon, 19 Sep 2022 04:09:22 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :Date:References:In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=Whq/+LAisbCYAhptc96XT/Mg8IeDDzBDzWcd/Z4v80U=; b=pB19BtSpG14HdbCKAoufztlm2Q
 TNKqDark2jZIekxVWRmOPEhXzG4KJNQlUT1E33ER6EVoDnQCMdgsLRpsxRukEwb7roUqSF8rlNJWx
 Qq9Fxf8kiEqlt/K2W81ijp+2t9NC66n/a7KbCKpM4G6lyEgPxTzadnCsbVr8gPZbveh0=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oaBq4-000721-J1; Mon, 19 Sep 2022 10:09:14 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#57752: 28.1.91; emacsclient-mail.desktop doesn't work for me
In-Reply-To: <8735cog2ps.fsf@HIDDEN> (Robert Pluim's message of "Sun, 18
 Sep 2022 16:46:23 +0200")
References: <87r10gcum8.fsf@HIDDEN> <87bkrj31r0.fsf@HIDDEN>
 <87y1unxv15.fsf@HIDDEN> <83leqn4cji.fsf@HIDDEN>
 <87v8prxtox.fsf@HIDDEN>
 <a3cdfbd9-6e2e-c76d-c834-9ee1684fc97e@HIDDEN>
 <878rmjy78x.fsf@HIDDEN>
 <9e796c00-92e2-37fd-a90e-6ef615296b9e@HIDDEN>
 <87zgex56bw.fsf@HIDDEN> <8735cog2ps.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAALVBMVEXu7u3Y0NfGoK/P
 NkTdV2e3rsuZeYdLOkUTBw9kV14nEhlLJio2IiosGiP////Zf5E1AAAAAWJLR0QOb70wTwAAAAd0
 SU1FB+YJEwcsIERlldwAAAGOSURBVDjLrdK9TsJQFAfwYuJOE0kMkcHi4iq+AKUvwEA0xBV4Az4S
 WeV4oaNCBRcXLhe7Yk2ZhVSZ+xH6LrYF1J7WxMH/eH+959xzeznuKzz330nyPJ8Mr2Rzu5xtlxKC
 kD+RxKzkJ3cuSTvYE0VRkIRsTioUQju2OZB2yf/xPIlU9ZjfJAz7NbgpBSkiOJ0+xUPfaFXiIKUs
 G9/wY/pU8aESX6o0qsSXKtUqA9tbr96F4aLfrw5pS2nDbRjKzKR2GwAIgittDJN5DJTpmKrUA1zq
 EkyHAIlC2V3QWDj6WPt1SBRc1weg0R0r73tCZQwZdwlkOKXgIDhULZnN3y2QEaQpdHVdN2J6LLtz
 XVcdhnuoBmGMMAtDmvjDgRPZkWZTzYOXXhTWj8DgTXUjwEYe2E0jCg2v1HNzjU/F4BpkCosOBkJW
 /t3OiMmF3lWGBceFWdPGpZh35xQmA9wcZOIPYtcioAalVKWDwSLBr62bGOgGXhuoOQSPCmCi/ALd
 ezygBsw3gqGnseBhkTrHfQIpVOojvKi+iAAAACV0RVh0ZGF0ZTpjcmVhdGUAMjAyMi0wOS0xOVQw
 Nzo0NDozMiswMDowMHsDNFgAAAAldEVYdGRhdGU6bW9kaWZ5ADIwMjItMDktMTlUMDc6NDQ6MzIr
 MDA6MDAKXozkAAAAAElFTkSuQmCC
X-Now-Playing: Anne Clark's _Hopeless Cases_: "Hope Road"
Date: Mon, 19 Sep 2022 10:09:12 +0200
Message-ID: <87czbryedz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Robert Pluim <rpluim@HIDDEN> writes: > Youʼd have to write
    'apply-from-command-line' yourself, although > thereʼd be nothing stopping
    us from providing a generic one that does > > (apply (intern (pop command-line-args-left))
    command-li [...] 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57752
Cc: Damien Cassou <damien@HIDDEN>, Jim Porter <jporterbugs@HIDDEN>,
 Eli Zaretskii <eliz@HIDDEN>, git@HIDDEN, 57752 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Robert Pluim <rpluim@HIDDEN> writes:

> You=CA=BCd have to write 'apply-from-command-line' yourself, although
> there=CA=BCd be nothing stopping us from providing a generic one that does
>
> (apply (intern (pop command-line-args-left)) command-line-args-left)
>
> or similar.

I don't see any advantages to having something like that over something
like --apply.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57752; Package emacs. Full text available.

Message received at 57752 <at> debbugs.gnu.org:


Received: (at 57752) by debbugs.gnu.org; 18 Sep 2022 18:32:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 18 14:32:06 2022
Received: from localhost ([127.0.0.1]:51232 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oZz5K-00042u-KL
	for submit <at> debbugs.gnu.org; Sun, 18 Sep 2022 14:32:06 -0400
Received: from mail-pl1-f176.google.com ([209.85.214.176]:42905)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jporterbugs@HIDDEN>) id 1oZz5I-00042P-BH
 for 57752 <at> debbugs.gnu.org; Sun, 18 Sep 2022 14:32:04 -0400
Received: by mail-pl1-f176.google.com with SMTP id v1so26029537plo.9
 for <57752 <at> debbugs.gnu.org>; Sun, 18 Sep 2022 11:32:04 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:content-language:in-reply-to:mime-version
 :date:message-id:from:references:cc:to:subject:from:to:cc:subject
 :date; bh=qN9mXkhn3Ttn5gf7yg5hBWbk7lPuViokykgZC10jv68=;
 b=nrbe8zb5GjRgfrFCZy/aWKZH3AWsEQ4Rg0VSUkciG/vuH05NnbukN/q3mSxO7Qjn3z
 fCF8EhSVgePp99mg6Lmxd8BQlcD5urrnsMzCjVtcFuLULbxJoqt/shqrPlcfTu/jZvAq
 rBRyeMxGQDUD+SzJgfu+MqDYHgv+yZeF9B3s8wR3v/Y8IL8bKZx8PStMNRYAd3Bf9Z2F
 int+xi3kp0EcoUeIenI0T3gZXkP/+a+KjDIkGjO+U7kCVCPVFpYJrrotzQDaR1eKau4o
 a74VCK7qKtN+M6KQCkjN7oSieP50fJFUzgE5bPquUwN5wm1RBpEzFlkOjEMJbwvdr38o
 950g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:content-language:in-reply-to:mime-version
 :date:message-id:from:references:cc:to:subject:x-gm-message-state
 :from:to:cc:subject:date;
 bh=qN9mXkhn3Ttn5gf7yg5hBWbk7lPuViokykgZC10jv68=;
 b=PzVCzbHxmGMb5lUdph1u5VCFWUb6Q2FtRqdEcQhxdc1lxHoLQDERrQS42wdWOO3UQT
 VLGHUx/DIjR3/zqYphw/+khIim3WGPQICoKVeMQFd6TZ4eN4FezNg7qvaROOnwf6HO55
 rgOGtP6vFJgePv7wOar1KCFy1qZU+soq625ek5JiWdtqc9NUU2Ng/NKBW944P0Idt2e7
 8W01AWlQnwPMlvTZfZF5s7uo0/CXBh0ID9fTUOg+grLpMnyss8UlFnbPfUXGe/PVjt+y
 LFQgJVMI8RiR0ER1qdSc6yW4aWyjB8qGa1PZxwfwxre+qTQSMauG35aWgmdSHBT6pRIG
 BulA==
X-Gm-Message-State: ACrzQf1LtVqxtjWQxcS9uK3ficm5jNJoNv5tVq1ab8DUWHD0wZVIjHzO
 upKBWndO+PaJ6USoj4CDcz9DvE6z86Q=
X-Google-Smtp-Source: AMsMyM6CyGhlqQu6jZNw/ButnaSXt19ByIt40+Bbb8HqOA3DrI2dMFBUNr7DVncacU2XnPiyD6JMGA==
X-Received: by 2002:a17:90b:1b06:b0:202:cce0:2148 with SMTP id
 nu6-20020a17090b1b0600b00202cce02148mr27151308pjb.84.1663525918607; 
 Sun, 18 Sep 2022 11:31:58 -0700 (PDT)
Received: from [192.168.1.2] (cpe-76-168-148-233.socal.res.rr.com.
 [76.168.148.233]) by smtp.googlemail.com with ESMTPSA id
 q67-20020a17090a1b4900b00200461cfa99sm4950397pjq.11.2022.09.18.11.31.57
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Sun, 18 Sep 2022 11:31:57 -0700 (PDT)
Subject: Re: bug#57752: 28.1.91; emacsclient-mail.desktop doesn't work for me
To: Lars Ingebrigtsen <larsi@HIDDEN>
References: <87r10gcum8.fsf@HIDDEN> <87bkrj31r0.fsf@HIDDEN>
 <87y1unxv15.fsf@HIDDEN> <83leqn4cji.fsf@HIDDEN>
 <87v8prxtox.fsf@HIDDEN> <a3cdfbd9-6e2e-c76d-c834-9ee1684fc97e@HIDDEN>
 <878rmjy78x.fsf@HIDDEN> <9e796c00-92e2-37fd-a90e-6ef615296b9e@HIDDEN>
 <87zgex56bw.fsf@HIDDEN>
From: Jim Porter <jporterbugs@HIDDEN>
Message-ID: <78d5c54b-5b33-8571-7de5-b5bd2ddd95b7@HIDDEN>
Date: Sun, 18 Sep 2022 11:31:58 -0700
MIME-Version: 1.0
In-Reply-To: <87zgex56bw.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 57752
Cc: Damien Cassou <damien@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>,
 git@HIDDEN, 57752 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 9/18/2022 3:23 AM, Lars Ingebrigtsen wrote:
> Jim Porter <jporterbugs@HIDDEN> writes:
> 
>> 1) Instead of specifying the function args with a flag, I think I'd go
>> the other way and specify the function as being special, e.g.:
>>
>>    emacs --apply func arg1 arg2
> 
> Yes, that sounds good.  (But we'd still need "--" to say that the
> arguments have ended.)

This is actually the trickiest part about this to me. If I were 
designing this, I'd say that '--apply' consumes every positional 
argument up to the next flag. If it encounters a '--' while consuming 
arguments, *every* remaining argument gets passed to the function. That 
allows the following:

   emacs --apply func1 arg1 arg2 --apply func2 arg3 arg4 -Q
     => emacs -Q
        (func1 "arg1" "arg2")
        (func2 "arg3" "arg4")

   emacs --apply func -- --arg1 --arg2
     => emacs
        (func "--arg1" "--arg2")

This way, users can pass arguments beginning with a "-" to the function 
being applied while still retaining a fair amount of flexibility in 
other cases. It would also be good for shell scripts/aliases where you 
don't know ahead of time what the arguments will look like. If you had 
this in your shell environment:

   EDITOR="emacs --apply fancy-find-file"

then you might try to visit a file named "-Q". However, it would treat 
"-Q" as an argument to emacs instead. With what I suggested above, you'd 
just say:

   EDITOR="emacs --apply fancy-find-file --"

That's a common way of doing this for other command-line tools, so I 
think most people should understand the behavior fairly easily.

>> 2) Even better, why not just use --function and pass some higher-order
>> function:
>>
>>    emacs --function apply-from-command-line func arg1 arg2
> 
> I think that sounds more obscure, really (even if it's simpler to
> implement in the "emacs" case).

Either is fine with me. Originally, I thought that "--funcall 
apply-from-command-line ..."[1] might be nicer since you could replace 
'apply-from-command-line' with a fancier function, e.g. one that parses 
numeric values, but I think you'd be able to do that with --apply 
anyway. It's probably better to keep the simple path simple and go with 
--apply.

[1] I had meant to type --funcall instead of --function in my previous 
message, but got mixed up.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57752; Package emacs. Full text available.

Message received at 57752 <at> debbugs.gnu.org:


Received: (at 57752) by debbugs.gnu.org; 18 Sep 2022 14:46:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 18 10:46:33 2022
Received: from localhost ([127.0.0.1]:50955 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oZvZ3-00009g-1q
	for submit <at> debbugs.gnu.org; Sun, 18 Sep 2022 10:46:33 -0400
Received: from mail-wr1-f48.google.com ([209.85.221.48]:36676)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1oZvZ1-00009T-94
 for 57752 <at> debbugs.gnu.org; Sun, 18 Sep 2022 10:46:31 -0400
Received: by mail-wr1-f48.google.com with SMTP id h8so36368393wrf.3
 for <57752 <at> debbugs.gnu.org>; Sun, 18 Sep 2022 07:46:31 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:message-id:date:references
 :in-reply-to:subject:cc:to:from:from:to:cc:subject:date;
 bh=XrJlK3V69UVr6DcAN9C4HAJ18h7EFPXVbd1Dgs4pHI0=;
 b=cajzm5TMFdyh7weC6h+cR8yySh2CWq5nt1zVNGwMwmaYT5mHQsq+7YdIbtjwpcc5Ul
 zEFBT6iS792e5zpaMRwLEwUo/+gQHY7TVk6J5xIOdcpUaKl8w5qrEQxwL7KZVnznet4g
 cq08M3q1t8OO/lZS7DVPCIG/Vnjw1xHA8JpV2WSzhaV8SmzZhfz0fa7LTryN2bIqGxVM
 JX2OcPSiS+b8Sg8hi6InLdngEw8pNZ8yco5GfQDa2+9wnH81NZNUDOxRJvFWYwkIVLnS
 FUE40H69xOcp7qPnr2oDsXXhCpKsMpMjej2C72N44rhYEYbfmLeaNxBxULCNCY0UCiF0
 RHoQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:message-id:date:references
 :in-reply-to:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date;
 bh=XrJlK3V69UVr6DcAN9C4HAJ18h7EFPXVbd1Dgs4pHI0=;
 b=VOGwyIhaA2sqLcUVRFVuU8YMzJ2rRUfNk+9bncZbeiFjJ3+siWr0gGyXqeziaOYoY2
 brqnElpMaly5WNx4VKwq0VkNhhmHiziUCpzV/N+C9jsCNY5fNFXl9i0gNxNPEfwT/92L
 bPeiYN/40TIdCuIIvmoAu/zuTRxzwM/llRWRv7NVSDSb6Fxc5AL9qXZ6ri59iqQ2wwVE
 8dyDrsXzig351h3JYv5cQqln6Wvy7PP8ZuZGm+IoHHIXLaa/h+PBdCebBPTiNRgE8MXc
 5NzS9p00dRzBVi10tuMIhRIxqobC81OA8q3mlpi0rIIEEFFuoNuKyWd1aV8M+o0VBDrF
 hQMA==
X-Gm-Message-State: ACrzQf2bIWqxLtXNT0OUfe6Bh3VwT5ijo2hZyE1F5hd/8JH5ql8895e0
 VB0F2qOReJ/KteboLiZ70tcUj5wH/mM=
X-Google-Smtp-Source: AMsMyM6YbQB5hiNWkILKuvsi1NSvAHMurQEsuM1xNxqwqe9gSZc7OMPvvCFB+liYBEAmnnDCGAoAaA==
X-Received: by 2002:a05:6000:15c5:b0:22a:49be:8000 with SMTP id
 y5-20020a05600015c500b0022a49be8000mr8064576wry.664.1663512384916; 
 Sun, 18 Sep 2022 07:46:24 -0700 (PDT)
Received: from rltb ([2a01:e0a:3f3:fb50:16a0:9848:d23c:7dcb])
 by smtp.gmail.com with ESMTPSA id
 h22-20020a05600c2cb600b003b4868eb71bsm10733771wmc.25.2022.09.18.07.46.24
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 18 Sep 2022 07:46:24 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#57752: 28.1.91; emacsclient-mail.desktop doesn't work for me
In-Reply-To: <87zgex56bw.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sun,
 18 Sep 2022 12:23:47 +0200")
References: <87r10gcum8.fsf@HIDDEN> <87bkrj31r0.fsf@HIDDEN>
 <87y1unxv15.fsf@HIDDEN> <83leqn4cji.fsf@HIDDEN>
 <87v8prxtox.fsf@HIDDEN>
 <a3cdfbd9-6e2e-c76d-c834-9ee1684fc97e@HIDDEN>
 <878rmjy78x.fsf@HIDDEN>
 <9e796c00-92e2-37fd-a90e-6ef615296b9e@HIDDEN>
 <87zgex56bw.fsf@HIDDEN>
Date: Sun, 18 Sep 2022 16:46:23 +0200
Message-ID: <8735cog2ps.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 57752
Cc: Damien Cassou <damien@HIDDEN>, Jim Porter <jporterbugs@HIDDEN>,
 Eli Zaretskii <eliz@HIDDEN>, git@HIDDEN, 57752 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Sun, 18 Sep 2022 12:23:47 +0200, Lars Ingebrigtsen <larsi@HIDDEN=
> said:

    Lars> Jim Porter <jporterbugs@HIDDEN> writes:
    >> 1) Instead of specifying the function args with a flag, I think I'd =
go
    >> the other way and specify the function as being special, e.g.:
    >>=20
    >> emacs --apply func arg1 arg2

    Lars> Yes, that sounds good.  (But we'd still need "--" to say that the
    Lars> arguments have ended.)

    >> 2) Even better, why not just use --function and pass some higher-ord=
er
    >> function:
    >>=20
    >> emacs --function apply-from-command-line func arg1 arg2

    Lars> I think that sounds more obscure, really (even if it's simpler to
    Lars> implement in the "emacs" case).

    >> That way, it's easy to substitute in some other higher-order function
    >> if you want. emacsclient would still need to add a --function flag
    >> though, and probably some changes to how it forwards arguments to the
    >> main emacs so that you can do stuff like this.

I think this would be covered by '--apply apply-from-command-line func
arg1 arg2'

You=CA=BCd have to write 'apply-from-command-line' yourself, although
there=CA=BCd be nothing stopping us from providing a generic one that does

(apply (intern (pop command-line-args-left)) command-line-args-left)

or similar.

    Lars> Since we have to add something new to emacsclient in any case, I'd
    Lars> rather go with adding "--apply" to both Emacs and emacsclient, I =
think.

I think this is the best option (and we leave anything complicated to '--ev=
al').

Robert
--=20




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57752; Package emacs. Full text available.

Message received at 57752 <at> debbugs.gnu.org:


Received: (at 57752) by debbugs.gnu.org; 18 Sep 2022 13:58:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 18 09:58:45 2022
Received: from localhost ([127.0.0.1]:50909 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oZuon-0002xi-Cz
	for submit <at> debbugs.gnu.org; Sun, 18 Sep 2022 09:58:45 -0400
Received: from mail-wr1-f51.google.com ([209.85.221.51]:37505)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1oZuok-0002xS-BW
 for 57752 <at> debbugs.gnu.org; Sun, 18 Sep 2022 09:58:44 -0400
Received: by mail-wr1-f51.google.com with SMTP id bq9so43254030wrb.4
 for <57752 <at> debbugs.gnu.org>; Sun, 18 Sep 2022 06:58:42 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:message-id:date:references
 :in-reply-to:subject:cc:to:from:from:to:cc:subject:date;
 bh=uXwQgjU+8J75ZvIDVdI2iE91qihUlMeCa4QpA2Lklk8=;
 b=BNIOYq7PhWnFD8wGfPJ9pbOLzjzZ7y6hqQrB1r7LVQ67L9V5ChAh/3vqDe2mkZgrpW
 KxAghGd9eQlmzIWMOqXB9kk/Mefd5CIYOp31fueom02rpi2Q7SNAkcpZEpjgTZV86CDz
 zH8PAONP4QAKqoOAQBOcGYJoiE83csoWMArLUM6ty3l1Y2dLx7rmTYzHISI2yWR57PSz
 zSkr8FxZL9IjtLJgXTXZiCx4LlLsPb2X50k4HzYWOB1anMLM2hL2d3Ocs3ku8or5tUWl
 /qQJkfLo4YRzK4SnuOYAuoyUIM0s4/u1XpQHEkBwTy9mD82Ug68+pBuyaQU7kNL9Av6J
 Fztg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:message-id:date:references
 :in-reply-to:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date;
 bh=uXwQgjU+8J75ZvIDVdI2iE91qihUlMeCa4QpA2Lklk8=;
 b=ceRhi4ABfW4uI9uBSNGL/Uxoc/yjPV6KsL5xLASNGrRE/xlkur3fMePztEznPEW1Y7
 dQB22FIij70s/DNSeLTxXMBrJvA58Domw413B13/7Zt9UN5hdRPLOCUVOoInoC6Uv/x7
 v078R2Tz88kokyL53U6mweZlfnK9xls2DGNZdA7kEVD8b3zGaoNFj/xXK/2jjBNcT3tk
 cu+C+LrVME2p9NABatNTjXyiqRrOVwx/vLTRjW4BN4TUlnPR+Ojc+ixRd4G4kyowNH7d
 mi/DeCAyUFO6Cf+owWlvjGDE25EYk5eTr1Za2v9YQXDYSotAr347/S+1vmYlMCaQnVjK
 wOVg==
X-Gm-Message-State: ACrzQf26niUew0qcIyJAsrkPWxKW0d9Uof4xotHfHTIuiM5qerfVjJPq
 nu5RBi2LDeiXvO2P+7n2iUY=
X-Google-Smtp-Source: AMsMyM4vf3+jxn7XpG57d/g4v2OOMwDlJyFno0Ddmw1Hc4RnvQ9HXIxh3gmPTmPtdXw6IaF4Asbu5Q==
X-Received: by 2002:a5d:6d8a:0:b0:22a:9f79:9452 with SMTP id
 l10-20020a5d6d8a000000b0022a9f799452mr8001060wrs.620.1663509516185; 
 Sun, 18 Sep 2022 06:58:36 -0700 (PDT)
Received: from rltb ([2a01:e0a:3f3:fb50:16a0:9848:d23c:7dcb])
 by smtp.gmail.com with ESMTPSA id
 n13-20020a7bcbcd000000b003a60bc8ae8fsm9795799wmi.21.2022.09.18.06.58.35
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 18 Sep 2022 06:58:35 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
Subject: Re: bug#57752: 28.1.91; emacsclient-mail.desktop doesn't work for me
In-Reply-To: <84acc36e7ec7aa9e982f@HIDDEN> (Gregory Heytings's message
 of "Fri, 16 Sep 2022 20:04:25 +0000")
References: <87r10gcum8.fsf@HIDDEN> <87bkrj31r0.fsf@HIDDEN>
 <87y1unxv15.fsf@HIDDEN> <83leqn4cji.fsf@HIDDEN>
 <87v8prxtox.fsf@HIDDEN>
 <a3cdfbd9-6e2e-c76d-c834-9ee1684fc97e@HIDDEN>
 <878rmjy78x.fsf@HIDDEN> <87bkrfiqbg.fsf@HIDDEN>
 <878rmjqysp.fsf@HIDDEN> <84acc36e7e9328ef2f76@HIDDEN>
 <87zgezpebo.fsf@HIDDEN> <84acc36e7e47f3fe9562@HIDDEN>
 <7069638a-21b3-9777-215c-3ce4ec18ca37@HIDDEN>
 <84acc36e7e2d900b70c0@HIDDEN>
 <4712c3c2-dfca-c6a4-2840-13d20cffb7b8@HIDDEN>
 <84acc36e7e3accb7055f@HIDDEN>
 <318de412-3612-0584-074f-8da4fd2b43e1@HIDDEN>
 <84acc36e7ec7aa9e982f@HIDDEN>
Date: Sun, 18 Sep 2022 15:58:34 +0200
Message-ID: <87bkrcg4xh.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 57752
Cc: Jim Porter <jporterbugs@HIDDEN>, Damien Cassou <damien@HIDDEN>,
 Peter Oliver <p.d.oliver@HIDDEN>, 57752 <at> debbugs.gnu.org,
 git@HIDDEN, Lars Ingebrigtsen <larsi@HIDDEN>,
 Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Fri, 16 Sep 2022 20:04:25 +0000, Gregory Heytings <gregory@heyting=
s.org> said:

    Gregory> Okay, now I see what you mean, you want to be able to pass an =
array of
    Gregory> strings/arguments to Elisp.  Then I think that the cleanest/mo=
st
    Gregory> flexible way to do that would be

    Gregory> --setq VAR VAL ... --

    Gregory> (note the final double hyphen) defined as having the effect of=
 (setq
    Gregory> VAR (list "VAL" ...)).  That would allow zero, one or more arg=
uments.

That sounds good, although it should not be called '--setq', to avoid
people opening bugs saying "I did --setq indent-tabs-mode nil -- and
it=CA=BCs still 't'". --let or --bind or ....?

Robert
--=20




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57752; Package emacs. Full text available.

Message received at 57752 <at> debbugs.gnu.org:


Received: (at 57752) by debbugs.gnu.org; 18 Sep 2022 10:26:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 18 06:26:37 2022
Received: from localhost ([127.0.0.1]:47859 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oZrVV-0004FE-BV
	for submit <at> debbugs.gnu.org; Sun, 18 Sep 2022 06:26:37 -0400
Received: from quimby.gnus.org ([95.216.78.240]:37350)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oZrVT-0004F0-KK
 for 57752 <at> debbugs.gnu.org; Sun, 18 Sep 2022 06:26:35 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=TQPxwFq2eq6jRYwcmr0w4obiyDBPF8zMqxf4yfMrY1I=; b=q6AYBbbjHwT91X2KxKnSkvh9u5
 FjJr8z6Oh2GXhmVmCr4OruUQBt2urag/0NiCE6+kUlFwMClW6lOepYZcHpArbbFetZC4nPxyRlu9m
 1HJHo9CMLjFHGvWLXd7vSlRKrxxTuqVOWIPo+XhvFwa4K+EHBoOUBjaRn6iJsQ613sHQ=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oZrVK-0006gC-GR; Sun, 18 Sep 2022 12:26:28 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Jim Porter <jporterbugs@HIDDEN>
Subject: Re: bug#57752: 28.1.91; emacsclient-mail.desktop doesn't work for me
In-Reply-To: <393f4388-f3da-1b54-9b7d-be99ed3498d7@HIDDEN> (Jim Porter's
 message of "Fri, 16 Sep 2022 12:42:34 -0700")
References: <87r10gcum8.fsf@HIDDEN> <87bkrj31r0.fsf@HIDDEN>
 <393f4388-f3da-1b54-9b7d-be99ed3498d7@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAFVBMVEUpJykfHB1+gIG0
 ydGuubtOTVL///+yPxuZAAAAAWJLR0QGYWa4fQAAAAd0SU1FB+YJEgoJFD1GRbgAAAGpSURBVDjL
 bZNhkoMgDIVJd/kPzngBZC8gnAA4AGvN/a+yIQTFzjotVr6+9wJEpf67YIvK8q/6nL/Bh8C+ozJP
 AiwAAtbM84ZdLVvZKcIqbKMAq4YIdOV5C5mBHTEaVX9eQwemW8HBd3peBgAzAZiAWCGK9Cvs3ZNC
 KWfFUd0mCtJoZeAgBcVDvQF5aTA/BEiL7gYcUJXmm3M1xwm0RXAByWMIfUvMtPX6VZLPYdpELd+z
 7KUBGKD2YXU+MaATgOalRaaTc11hJyu6XgRymIFcL+dcaIBLMmPbK5zkxOASYK0EFIGNwVVt21oa
 HGc3q94ZCmlS6Z/DcXa3MsD2DR8NSEY7QF4aCRQ+gORgO44jXVZXk+BBmjM5H2n+AZBBaU6lZ1xr
 qXg6zxGiGCuvuDkfwhU+Wp5A8SXnu1y4GotOr82H1K2gH5fG185ORcAoTNeDQMxU2N273FuoYzPi
 E+T/g7FiJiDuo0WlWZYOSpQMIwf8+9651lsxXoWcAlc7XrUB1uyoVPrkW2Fbf63ZM7iqsrJjS/Qc
 8QSEFlpfblYfAL5T39tPYLcb/AENp3EfHoqI2QAAACV0RVh0ZGF0ZTpjcmVhdGUAMjAyMi0wOS0x
 OFQxMDowOToyMCswMDowMCsFq2IAAAAldEVYdGRhdGU6bW9kaWZ5ADIwMjItMDktMThUMTA6MDk6
 MjArMDA6MDBaWBPeAAAAAElFTkSuQmCC
X-Now-Playing: Stephan Mathieu's _Radiance (12): Pacific_: "Pacific"
Date: Sun, 18 Sep 2022 12:26:24 +0200
Message-ID: <87v8pl567j.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Jim Porter <jporterbugs@HIDDEN> writes: > If there are
 some other uses people have for the more-flexible > implementation, I think
 it would help to list those so we can be sure > the chosen solution addresses
 them. Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57752
Cc: Damien Cassou <damien@HIDDEN>, Peter Oliver <git@HIDDEN>,
 57752 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Jim Porter <jporterbugs@HIDDEN> writes:

> If there are some other uses people have for the more-flexible
> implementation, I think it would help to list those so we can be sure
> the chosen solution addresses them.

The general use case is that having --apply just makes things easier to
script without having to worry about string interpolation.  Getting
--eval "(...\\"$foo\\" $bar)" etc right in all circumstances is hard and
leads to fragile scripts.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57752; Package emacs. Full text available.

Message received at 57752 <at> debbugs.gnu.org:


Received: (at 57752) by debbugs.gnu.org; 18 Sep 2022 10:23:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 18 06:23:59 2022
Received: from localhost ([127.0.0.1]:47853 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oZrSx-00040f-EK
	for submit <at> debbugs.gnu.org; Sun, 18 Sep 2022 06:23:59 -0400
Received: from quimby.gnus.org ([95.216.78.240]:37324)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oZrSv-00040R-IO
 for 57752 <at> debbugs.gnu.org; Sun, 18 Sep 2022 06:23:57 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=1sbktgpnf1XRh63eo52dr7ZmndjW9kp9h4wPVLtn61U=; b=KoLuKQ0gk3d5/1fMrGlyLSx1VR
 6sYo43hmMD5LKYjao9r+fOgFtppQqC0ERqBjkLbt3KKKWISmB2v2sRUMnhIcvPGySh6nvPBRTr/jj
 Iw0nr7ibZ7o0BsOu9+sJm1r6Ai0N3J5nh5T9WEWyzpg6WZJsTELySi5zCw30xZgEmMYk=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oZrSm-0006fL-7p; Sun, 18 Sep 2022 12:23:50 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Jim Porter <jporterbugs@HIDDEN>
Subject: Re: bug#57752: 28.1.91; emacsclient-mail.desktop doesn't work for me
In-Reply-To: <9e796c00-92e2-37fd-a90e-6ef615296b9e@HIDDEN> (Jim Porter's
 message of "Fri, 16 Sep 2022 08:17:33 -0700")
References: <87r10gcum8.fsf@HIDDEN> <87bkrj31r0.fsf@HIDDEN>
 <87y1unxv15.fsf@HIDDEN> <83leqn4cji.fsf@HIDDEN>
 <87v8prxtox.fsf@HIDDEN>
 <a3cdfbd9-6e2e-c76d-c834-9ee1684fc97e@HIDDEN>
 <878rmjy78x.fsf@HIDDEN>
 <9e796c00-92e2-37fd-a90e-6ef615296b9e@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAFVBMVEUpJykfHB1+gIG0
 ydGuubtOTVL///+yPxuZAAAAAWJLR0QGYWa4fQAAAAd0SU1FB+YJEgoJFD1GRbgAAAGpSURBVDjL
 bZNhkoMgDIVJd/kPzngBZC8gnAA4AGvN/a+yIQTFzjotVr6+9wJEpf67YIvK8q/6nL/Bh8C+ozJP
 AiwAAtbM84ZdLVvZKcIqbKMAq4YIdOV5C5mBHTEaVX9eQwemW8HBd3peBgAzAZiAWCGK9Cvs3ZNC
 KWfFUd0mCtJoZeAgBcVDvQF5aTA/BEiL7gYcUJXmm3M1xwm0RXAByWMIfUvMtPX6VZLPYdpELd+z
 7KUBGKD2YXU+MaATgOalRaaTc11hJyu6XgRymIFcL+dcaIBLMmPbK5zkxOASYK0EFIGNwVVt21oa
 HGc3q94ZCmlS6Z/DcXa3MsD2DR8NSEY7QF4aCRQ+gORgO44jXVZXk+BBmjM5H2n+AZBBaU6lZ1xr
 qXg6zxGiGCuvuDkfwhU+Wp5A8SXnu1y4GotOr82H1K2gH5fG185ORcAoTNeDQMxU2N273FuoYzPi
 E+T/g7FiJiDuo0WlWZYOSpQMIwf8+9651lsxXoWcAlc7XrUB1uyoVPrkW2Fbf63ZM7iqsrJjS/Qc
 8QSEFlpfblYfAL5T39tPYLcb/AENp3EfHoqI2QAAACV0RVh0ZGF0ZTpjcmVhdGUAMjAyMi0wOS0x
 OFQxMDowOToyMCswMDowMCsFq2IAAAAldEVYdGRhdGU6bW9kaWZ5ADIwMjItMDktMThUMTA6MDk6
 MjArMDA6MDBaWBPeAAAAAElFTkSuQmCC
X-Now-Playing: Stephan Mathieu's _Radiance (12): Pacific_: "Pacific"
Date: Sun, 18 Sep 2022 12:23:47 +0200
Message-ID: <87zgex56bw.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Jim Porter <jporterbugs@HIDDEN> writes: > 1) Instead of
 specifying the function args with a flag, I think I'd go > the other way
 and specify the function as being special, e.g.: > > emacs --apply func arg1
 arg2 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57752
Cc: Damien Cassou <damien@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>,
 git@HIDDEN, 57752 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Jim Porter <jporterbugs@HIDDEN> writes:

> 1) Instead of specifying the function args with a flag, I think I'd go
> the other way and specify the function as being special, e.g.:
>
>   emacs --apply func arg1 arg2

Yes, that sounds good.  (But we'd still need "--" to say that the
arguments have ended.)

> 2) Even better, why not just use --function and pass some higher-order
> function:
>
>   emacs --function apply-from-command-line func arg1 arg2

I think that sounds more obscure, really (even if it's simpler to
implement in the "emacs" case).

> That way, it's easy to substitute in some other higher-order function
> if you want. emacsclient would still need to add a --function flag
> though, and probably some changes to how it forwards arguments to the
> main emacs so that you can do stuff like this.

Since we have to add something new to emacsclient in any case, I'd
rather go with adding "--apply" to both Emacs and emacsclient, I think.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57752; Package emacs. Full text available.

Message received at 57752 <at> debbugs.gnu.org:


Received: (at 57752) by debbugs.gnu.org; 16 Sep 2022 20:04:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 16 16:04:30 2022
Received: from localhost ([127.0.0.1]:44417 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oZHZe-0005Na-ID
	for submit <at> debbugs.gnu.org; Fri, 16 Sep 2022 16:04:30 -0400
Received: from heytings.org ([95.142.160.155]:45030)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1oZHZb-0005NR-AA
 for 57752 <at> debbugs.gnu.org; Fri, 16 Sep 2022 16:04:28 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20220101; t=1663358666;
 bh=EFQl9+pjHxDmg+r+2OuBLi0CdbHiYP0zIEf3b296ts8=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=NM66CactvHFJCP4Gszp4xr7T/bSF5adwHfDWzZDi0hagVPp1S7zVbfCh4/okaPq4x
 4GVARaoK3FBVPkkIENqMh02rNoO9gjqTRw61tiHBwN1T5llH2gLNDisefn4Zy4JF/U
 KGhM58Vv3gPKUCWgMXmFkZchO9d6UNvO257aZIhat1AliLv65mQ+LwH9c+uWX47BJP
 0IcXe6jbJTGkermK+CVTov0J83nHsLZuiXBt6nBZ8QX1+S0kZ/upspXtfWahQyaxa0
 Ax+DwrgBG+jeU86OZuDeLSTOMSCvdaaZ99cLzR8794ZlV910ttphzdUQVVyH3iTWSx
 bMBp52ZrNBOHQ==
Date: Fri, 16 Sep 2022 20:04:25 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Jim Porter <jporterbugs@HIDDEN>
Subject: Re: bug#57752: 28.1.91; emacsclient-mail.desktop doesn't work for me
In-Reply-To: <318de412-3612-0584-074f-8da4fd2b43e1@HIDDEN>
Message-ID: <84acc36e7ec7aa9e982f@HIDDEN>
References: <87r10gcum8.fsf@HIDDEN> <87bkrj31r0.fsf@HIDDEN>
 <87y1unxv15.fsf@HIDDEN> <83leqn4cji.fsf@HIDDEN>
 <87v8prxtox.fsf@HIDDEN> <a3cdfbd9-6e2e-c76d-c834-9ee1684fc97e@HIDDEN>
 <878rmjy78x.fsf@HIDDEN> <87bkrfiqbg.fsf@HIDDEN>
 <878rmjqysp.fsf@HIDDEN> <84acc36e7e9328ef2f76@HIDDEN>
 <87zgezpebo.fsf@HIDDEN> <84acc36e7e47f3fe9562@HIDDEN>
 <7069638a-21b3-9777-215c-3ce4ec18ca37@HIDDEN>
 <84acc36e7e2d900b70c0@HIDDEN>
 <4712c3c2-dfca-c6a4-2840-13d20cffb7b8@HIDDEN>
 <84acc36e7e3accb7055f@HIDDEN>
 <318de412-3612-0584-074f-8da4fd2b43e1@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=us-ascii
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57752
Cc: Damien Cassou <damien@HIDDEN>, Robert Pluim <rpluim@HIDDEN>,
 Peter Oliver <p.d.oliver@HIDDEN>, 57752 <at> debbugs.gnu.org,
 git@HIDDEN, Lars Ingebrigtsen <larsi@HIDDEN>,
 Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>> What about --setq args "(list %U)"?
>
> That wouldn't work, since .desktop files forbid %-expansions inside 
> quotes[1]. Even working around that, the expansion would look something 
> like this:
>
> (list mailto:foo@HIDDEN ...)
>

Okay, now I see what you mean, you want to be able to pass an array of 
strings/arguments to Elisp.  Then I think that the cleanest/most flexible 
way to do that would be

--setq VAR VAL ... --

(note the final double hyphen) defined as having the effect of (setq VAR 
(list "VAL" ...)).  That would allow zero, one or more arguments.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57752; Package emacs. Full text available.

Message received at 57752 <at> debbugs.gnu.org:


Received: (at 57752) by debbugs.gnu.org; 16 Sep 2022 19:42:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 16 15:42:48 2022
Received: from localhost ([127.0.0.1]:44404 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oZHEe-0004pq-J9
	for submit <at> debbugs.gnu.org; Fri, 16 Sep 2022 15:42:48 -0400
Received: from mail-pj1-f44.google.com ([209.85.216.44]:53884)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jporterbugs@HIDDEN>) id 1oZHEa-0004pc-JN
 for 57752 <at> debbugs.gnu.org; Fri, 16 Sep 2022 15:42:46 -0400
Received: by mail-pj1-f44.google.com with SMTP id q3so22017287pjg.3
 for <57752 <at> debbugs.gnu.org>; Fri, 16 Sep 2022 12:42:44 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:content-language:in-reply-to:mime-version
 :date:message-id:from:references:cc:to:subject:from:to:cc:subject
 :date; bh=Ev3ckHQ9VWHB5Prs994daUfWRU+0qZ2d6JrLu/2K9+c=;
 b=hCCkAOwVaw4z3NNzh5icp6pX6vvuz3FXlNOJxC+JyqgvkEjE78ngAf3gp/3Gr+hkPg
 TK0CIrBTlju3Tmfl9PbuiEHZkgBDS3rs1VaMxLT7T/y6w5cXfUmzbyFBdZq5aCmieMxH
 z+NmZgmkN1N8uC07qENBOuNJXcEI4oAar4oiOL6DJznlpZErnDeWXpjqH4k+jEMG9/p8
 FybCy2jq65x1hpytUBgtgJfAFKuwIdx304alNt0vENXICU+iJnv7g/W2KeW+csBMFadJ
 2AhEM+8J8cISZ1gBlSnSni1Fty6zCf2nelMLEXJa2xCZcs6Zf7NhxUT0QwgrhR0UV1lX
 66UQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:content-language:in-reply-to:mime-version
 :date:message-id:from:references:cc:to:subject:x-gm-message-state
 :from:to:cc:subject:date;
 bh=Ev3ckHQ9VWHB5Prs994daUfWRU+0qZ2d6JrLu/2K9+c=;
 b=h4bLTfUKKQ+8oXSaSfKf+tr3Gqmf2o0tHkFOd1d4ORO3n8U7K/fMmt2LyEzAcNwLIg
 eExhX5ERzRjDh8krbKkOdi6KhW3mD/ASnbBn85MdlSZj1mGJaitKlDkKe7L2/NYc8Jkm
 sshG6mlyWY9OdQ2X7WITe9dmQd2ThJmhm3ueKcidxKgO560NP2RFXMT+VR5Ew63xyrOQ
 5gPHhpieJBQ3LhZ+2xjJWXPsAngDskJxV/qIlg59WsLZzl2IjrpCUgZO4qPrf65Iyw/R
 v7GTGizSn/MGMRjPqpJaqhnT4Y+xqrCJkKPnNmYcTgAafbkOGHalgMHmHrzzIUVZUoNI
 M08Q==
X-Gm-Message-State: ACrzQf0FF7poktowzFc2wf2qMQyo7asA7gx7xq4JTGnB3iCsQQmQAUBN
 c+OUpkHBidJ/ADnogG/xgSsK0CT67FI=
X-Google-Smtp-Source: AMsMyM73hPETojbDxjtaHmFEsjaNXls3xIgkISjXDsSYWsfnyXYC63dJvlh9vHdVLpeanRxrb/V0rQ==
X-Received: by 2002:a17:90b:224e:b0:203:fb9:6d6 with SMTP id
 hk14-20020a17090b224e00b002030fb906d6mr17571528pjb.208.1663357357059; 
 Fri, 16 Sep 2022 12:42:37 -0700 (PDT)
Received: from [192.168.1.2] (cpe-76-168-148-233.socal.res.rr.com.
 [76.168.148.233]) by smtp.googlemail.com with ESMTPSA id
 a14-20020a17090aa50e00b001fdc88d206fsm1858455pjq.9.2022.09.16.12.42.35
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Fri, 16 Sep 2022 12:42:36 -0700 (PDT)
Subject: Re: bug#57752: 28.1.91; emacsclient-mail.desktop doesn't work for me
To: Lars Ingebrigtsen <larsi@HIDDEN>, Damien Cassou <damien@HIDDEN>
References: <87r10gcum8.fsf@HIDDEN> <87bkrj31r0.fsf@HIDDEN>
From: Jim Porter <jporterbugs@HIDDEN>
Message-ID: <393f4388-f3da-1b54-9b7d-be99ed3498d7@HIDDEN>
Date: Fri, 16 Sep 2022 12:42:34 -0700
MIME-Version: 1.0
In-Reply-To: <87bkrj31r0.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 57752
Cc: Peter Oliver <git@HIDDEN>, 57752 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 9/13/2022 5:19 AM, Lars Ingebrigtsen wrote:

> I'd prefer to have a .desktop file that works without any helper
> scripts.   Can't the emacsclient-mail.desktop file be rewritten to not
> use quoting here?

Here's another strategy for handling this, inspired by org-protocol[1].
For those who haven't used it, org-protocol invokes emacsclient with an 
"org-protocol://..." URL to let you do things like capture text from 
another application.

Extending from that, what if Emacs introduced URL handlers, so that these:

   emacs mailto:foo@HIDDEN
   emacsclient mailto:foo@HIDDEN

would look up a "mailto:" handler defined somewhere in Emacs[2] (e.g. 
'message-mailto') and call that function instead of 'find-file'. This is 
roughly how the org-protocol module handles this, although it only works 
for emacsclient (it adds advice to a few functions from server.el).

This would be less flexible than having a generic way of feeding certain 
command-line arguments to an Emacs Lisp function, but I'm not sure what 
practical uses we'd need that for aside from handling URLs, as in this 
bug or for org-protocol. If there are some other uses people have for 
the more-flexible implementation, I think it would help to list those so 
we can be sure the chosen solution addresses them.

[1] https://orgmode.org/manual/Protocols.html
[2] Possibly opt-in in the user's config. I don't have any preferences here.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57752; Package emacs. Full text available.

Message received at 57752 <at> debbugs.gnu.org:


Received: (at 57752) by debbugs.gnu.org; 16 Sep 2022 19:33:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 16 15:33:18 2022
Received: from localhost ([127.0.0.1]:44390 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oZH5R-0004c3-Tp
	for submit <at> debbugs.gnu.org; Fri, 16 Sep 2022 15:33:18 -0400
Received: from mail-pj1-f49.google.com ([209.85.216.49]:45998)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jporterbugs@HIDDEN>) id 1oZH5O-0004bq-3b
 for 57752 <at> debbugs.gnu.org; Fri, 16 Sep 2022 15:33:16 -0400
Received: by mail-pj1-f49.google.com with SMTP id
 p1-20020a17090a2d8100b0020040a3f75eso557582pjd.4
 for <57752 <at> debbugs.gnu.org>; Fri, 16 Sep 2022 12:33:14 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:content-language:in-reply-to:mime-version
 :date:message-id:from:references:cc:to:subject:from:to:cc:subject
 :date; bh=m2EuTga8EhcwnzDDktAAMEgfgW/AKTHz+AF+s6hvaso=;
 b=ZkRyvG4HYhomFVcUwFUXjJa41Kb+ZEbCj3MF75pzZeM4vHeRX9pKhS8aZuaqNSSUn2
 RxVTTV0e/9Ncu2T7NaVvAM0O4FDVWklpi5LUdPIz4oELqO1go3ki7ki5v1DkOorHiGic
 nKBG4JqDpI/kXDKJa3E56zn0EGyo3czGuurg/GJy8WFllRDmCe3p4t70p/phx0myK8H/
 psBnZsnptGP93aW1diklXe2w+EpdrRlxEBNicWpsjKvQwZqGRQ9nyPE4ESX7vlknozvK
 5S1uSAVkQkmNnoCfHitjDyZQd2RHF83I7UBezpbpt76RQe+uRzI2CO40FbAmtFszk8rk
 mO1A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:content-language:in-reply-to:mime-version
 :date:message-id:from:references:cc:to:subject:x-gm-message-state
 :from:to:cc:subject:date;
 bh=m2EuTga8EhcwnzDDktAAMEgfgW/AKTHz+AF+s6hvaso=;
 b=oLqYqMoNNqvvI2HSsihsIHCSnrVqI+DQpJqU/rEWu9G1IyLuZN1eIwHNaxrRnE4thC
 JaxpCFLfx8yX4/w11X2xtHrUR5/nDehwjjogBWANERx5AHvf1brhkc//GLqcK6qrEupA
 KeClRpQ0L07Z9OEwyc8AAOKTob3YkqRUXgTDBIsh1PExWm7qes/V0EB+WmOata1bFhWq
 Wg79qX4ZYlsVgDPqQKWiDjh35TPdfDK4nKqa0izBv60Apl0T4dueD3x3rZKysuf7elJ3
 uhNNnl5sCyYTVrlrU96ow66bJkMkB2LMY+6YmPpW7SBhQ7nWM1e4ZIUFsfHhUlks8wjm
 9ixA==
X-Gm-Message-State: ACrzQf0isjg/1Lfgp2aq7a2Wc8WS3S0HJ1X7PpUOO863S4AEFKrC96zF
 WJSAWJtA/0bAqts3DoBAAd8=
X-Google-Smtp-Source: AMsMyM7CfwG97mord+MJM92XtT84ov9vFW/vyE9jpix8lXwOja99sRyA4lYDyAwo6pWdI2Hc65pnLA==
X-Received: by 2002:a17:90b:3c83:b0:202:9e3e:8f01 with SMTP id
 pv3-20020a17090b3c8300b002029e3e8f01mr18100602pjb.116.1663356788116; 
 Fri, 16 Sep 2022 12:33:08 -0700 (PDT)
Received: from [192.168.1.2] (cpe-76-168-148-233.socal.res.rr.com.
 [76.168.148.233]) by smtp.googlemail.com with ESMTPSA id
 b13-20020a170903228d00b001753654d9c5sm15375719plh.95.2022.09.16.12.33.06
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Fri, 16 Sep 2022 12:33:07 -0700 (PDT)
Subject: Re: bug#57752: 28.1.91; emacsclient-mail.desktop doesn't work for me
To: Gregory Heytings <gregory@HIDDEN>
References: <87r10gcum8.fsf@HIDDEN> <87bkrj31r0.fsf@HIDDEN>
 <87y1unxv15.fsf@HIDDEN> <83leqn4cji.fsf@HIDDEN>
 <87v8prxtox.fsf@HIDDEN> <a3cdfbd9-6e2e-c76d-c834-9ee1684fc97e@HIDDEN>
 <878rmjy78x.fsf@HIDDEN> <87bkrfiqbg.fsf@HIDDEN>
 <878rmjqysp.fsf@HIDDEN> <84acc36e7e9328ef2f76@HIDDEN>
 <87zgezpebo.fsf@HIDDEN> <84acc36e7e47f3fe9562@HIDDEN>
 <7069638a-21b3-9777-215c-3ce4ec18ca37@HIDDEN>
 <84acc36e7e2d900b70c0@HIDDEN>
 <4712c3c2-dfca-c6a4-2840-13d20cffb7b8@HIDDEN>
 <84acc36e7e3accb7055f@HIDDEN>
From: Jim Porter <jporterbugs@HIDDEN>
Message-ID: <318de412-3612-0584-074f-8da4fd2b43e1@HIDDEN>
Date: Fri, 16 Sep 2022 12:33:05 -0700
MIME-Version: 1.0
In-Reply-To: <84acc36e7e3accb7055f@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 57752
Cc: Damien Cassou <damien@HIDDEN>, Robert Pluim <rpluim@HIDDEN>,
 Peter Oliver <p.d.oliver@HIDDEN>, 57752 <at> debbugs.gnu.org,
 git@HIDDEN, Lars Ingebrigtsen <larsi@HIDDEN>,
 Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 9/16/2022 11:26 AM, Gregory Heytings wrote:
>> That would allow both of the following in .desktop files:
>>
>> emacsclient --function my-function-taking-one-url %u
>> emacsclient --function my-function-taking-many-urls %U
>>
> 
> Sure, and how would you use it say in shell scripts, in which these 
> %u/%U/%f/%F constructs do not exist?

That depends on the script. However, as an example, maybe you want a 
'browse' alias that you can use from the shell (or a shell script) like 
this:

   browse https://gnu.org https://fsf.org

You might define that alias one of these ways (assuming 'eww-browse-url' 
were enhanced to use 'command-line-args-left' like 'message-mailto'):

   alias browse='firefox'
   alias browse='emacs -f eww-browse-url'
   alias browse='emacsclient --funcall eww-browse-url'

>> '--setq' has the disadvantage that you'd need some way to prepend 
>> *each* URL/filename with it in the %U/%F cases.
>>
> 
> What about --setq args "(list %U)"?

That wouldn't work, since .desktop files forbid %-expansions inside 
quotes[1]. Even working around that, the expansion would look something 
like this:

   (list mailto:foo@HIDDEN ...)

Since want each argument to be a string (and wrapping quotes around each 
element won't work for the same reason I previously mentioned), we'd 
probably want a different syntax than the above. I wouldn't expect that 
syntax to make a list of strings.

>> Adding '--function' to emacsclient also has the advantage that it's 
>> already available for emacs,
>>
> 
> No, emacs only has --funcall: call Emacs Lisp function FUNC with no 
> arguments.

Sorry, yes. I meant --funcall.

This would likely necessitate some changes to how emacsclient talks to 
the main emacs process though, since I believe positional arguments to 
emacsclient are currently always treated as file names to visit. For 
"emacsclient --funcall" to work like "emacs --funcall", emacsclient 
would have to let the main emacs process process at least some of the 
arguments in the same manner as command-line arguments to "emacs" (i.e. 
allow reading them via '(pop command-line-args-left)' or something similar).

(I also have an alternate strategy for addressing the original bug, 
which I'll describe in a separate message so that this subthread doesn't 
get too unwieldy.)

[1] 
https://specifications.freedesktop.org/desktop-entry-spec/latest/ar01s07.html




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57752; Package emacs. Full text available.

Message received at 57752 <at> debbugs.gnu.org:


Received: (at 57752) by debbugs.gnu.org; 16 Sep 2022 18:26:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 16 14:26:56 2022
Received: from localhost ([127.0.0.1]:44303 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oZG3C-00072X-MH
	for submit <at> debbugs.gnu.org; Fri, 16 Sep 2022 14:26:56 -0400
Received: from heytings.org ([95.142.160.155]:44870)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1oZG38-00072K-4w
 for 57752 <at> debbugs.gnu.org; Fri, 16 Sep 2022 14:26:54 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20220101; t=1663352808;
 bh=8GFftRdubd3FO8kEmoWc6/tIKTEoiMzQHyhUg+9BQTU=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=3vFKcM0TGeinJKLfKxxhUsGqomLSyJc9EumtCLTTlDBE+QprDxiWChAs0AWtD6Ey8
 qoxTwh5JMC8683Xv+n6KdGxIXb2gHo2greL1F9QHZPosO/aQSzzfg3TmeeI3F3eDl8
 haPFV8hzPMeJNGsN0zIrQt6BgoWG3tMkDMaKAiH8eqMoigucxH2dvFd7l8RtSyrF3S
 1fFTugqGPCzC0L4LAYJeWzFuEiOld/e6glmPYsHa6DBlbh5SdJKRDxJ9b0kJNlEasa
 dTMMjJAGYnEqrimcYGhwZOdo/efXpaGwVZlGVhOAumP7Dc1BDMZb5kPMfUKnfAhRJf
 YCkjZYjUSR0Jw==
Date: Fri, 16 Sep 2022 18:26:48 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Jim Porter <jporterbugs@HIDDEN>
Subject: Re: bug#57752: 28.1.91; emacsclient-mail.desktop doesn't work for me
In-Reply-To: <4712c3c2-dfca-c6a4-2840-13d20cffb7b8@HIDDEN>
Message-ID: <84acc36e7e3accb7055f@HIDDEN>
References: <87r10gcum8.fsf@HIDDEN> <87bkrj31r0.fsf@HIDDEN>
 <87y1unxv15.fsf@HIDDEN> <83leqn4cji.fsf@HIDDEN>
 <87v8prxtox.fsf@HIDDEN> <a3cdfbd9-6e2e-c76d-c834-9ee1684fc97e@HIDDEN>
 <878rmjy78x.fsf@HIDDEN> <87bkrfiqbg.fsf@HIDDEN>
 <878rmjqysp.fsf@HIDDEN> <84acc36e7e9328ef2f76@HIDDEN>
 <87zgezpebo.fsf@HIDDEN> <84acc36e7e47f3fe9562@HIDDEN>
 <7069638a-21b3-9777-215c-3ce4ec18ca37@HIDDEN>
 <84acc36e7e2d900b70c0@HIDDEN>
 <4712c3c2-dfca-c6a4-2840-13d20cffb7b8@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=us-ascii
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57752
Cc: Damien Cassou <damien@HIDDEN>, Robert Pluim <rpluim@HIDDEN>,
 Peter Oliver <p.d.oliver@HIDDEN>, 57752 <at> debbugs.gnu.org,
 git@HIDDEN, Lars Ingebrigtsen <larsi@HIDDEN>,
 Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>
> I'm not convinced that '--function-arg' is necessary, but I do think 
> that adding '--function' to emacsclient would be the best solution of 
> the ones presented so far.
>

It's not very adaptable, whereas --eval allows you to run an arbitrary 
form.

>
> That would allow both of the following in .desktop files:
>
> emacsclient --function my-function-taking-one-url %u
> emacsclient --function my-function-taking-many-urls %U
>

Sure, and how would you use it say in shell scripts, in which these 
%u/%U/%f/%F constructs do not exist?

>
> '--setq' has the disadvantage that you'd need some way to prepend *each* 
> URL/filename with it in the %U/%F cases.
>

What about --setq args "(list %U)"?

>
> The functions above would need to be able to consume command-line 
> arguments (like 'message-mailto' does), but that's not a big deal. We 
> could even add an 'apply-from-command-line' function that adapts any 
> existing function to do this:
>
> emacsclient --function apply-from-command-line func arg1 arg2
>
> 'apply-from-command-line' could look at the arity of 'func' and consume 
> the appropriate number of command-line arguments.
>

That's over-engineering IMO.

>
> Adding '--function' to emacsclient also has the advantage that it's 
> already available for emacs,
>

No, emacs only has --funcall: call Emacs Lisp function FUNC with no 
arguments.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57752; Package emacs. Full text available.

Message received at 57752 <at> debbugs.gnu.org:


Received: (at 57752) by debbugs.gnu.org; 16 Sep 2022 17:22:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 16 13:22:06 2022
Received: from localhost ([127.0.0.1]:44190 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oZF2U-0005PS-7v
	for submit <at> debbugs.gnu.org; Fri, 16 Sep 2022 13:22:06 -0400
Received: from mail-pg1-f171.google.com ([209.85.215.171]:34343)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jporterbugs@HIDDEN>) id 1oZF2S-0005Oy-2N
 for 57752 <at> debbugs.gnu.org; Fri, 16 Sep 2022 13:22:04 -0400
Received: by mail-pg1-f171.google.com with SMTP id i19so17680453pgi.1
 for <57752 <at> debbugs.gnu.org>; Fri, 16 Sep 2022 10:22:04 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:content-language:in-reply-to:mime-version
 :date:message-id:from:references:cc:to:subject:from:to:cc:subject
 :date; bh=eWAXwlpaOzuxjhJLb2uMgN9M+fSiZpxBPYiAzF85EZ0=;
 b=fbUT4aQgSb2MVFlDtwTfArD13vH8YxzskVnpugVJebQpB0OjZWYiE36BkgKecPdDvA
 XtQKGzYJQF5EI5HtWYRqOo3Jvf02vveSK/0gsl4TYLP4e8/FNiMla79ooqpnX6VqpCCh
 j51ADBdxHo0YanyCgyTgc+Q4G/KFTMegh6RG1xP3bY49Q8Iln5o9eaFLXQeta40EPu3/
 fYHXwvfyAmWR/BCLywwnBvCjrsFInfLt3K094O79PTBrZUcPWj4GUo6BXlDzHwwZ8p/H
 9gXW/UtbWfh871DOksMfw5DyjW30d4zJKrHOcU4U41D0pAinh4Tw5Nhbz4CgMNGiFtYa
 L9PA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:content-language:in-reply-to:mime-version
 :date:message-id:from:references:cc:to:subject:x-gm-message-state
 :from:to:cc:subject:date;
 bh=eWAXwlpaOzuxjhJLb2uMgN9M+fSiZpxBPYiAzF85EZ0=;
 b=vCaZFvKXqUnlpD/pvDEn2/iJvmtZZPK1JXIypiQM92V8O3LxZv8av9L1/XSUpn/sFu
 ojDoajWm/R9W83jJ9RKvZkK4jJQAYkgSv1Z0sj+7jy07PMIGyIilffqshhotW+T55WZs
 j4/v8UnHkVOrXgWHy4xGNi0GtLeMoAiARzSug4fxa6jSJ+V5r8T2qD3msXJvalYJS6K+
 qpKY55T9t7NtKtZKvKmZaQfjYUBO8L/DPvGEqYz28hOLU61XU2qFyILyGtv64q3fCqg6
 rUZ9pluVR1W3Btdk7FXqyg6Mzv4LWFlnVQtR/DZwLtCMBpT3B1beGVgvw23/SHwtxjEr
 Ycwg==
X-Gm-Message-State: ACrzQf1rY7w5uTcC+uDkMO14oSlRgVVI7R9/NXs3rBHIf0AgIkZUPQNg
 vTlFYjQ7RqTxPHFcTAChmBM=
X-Google-Smtp-Source: AMsMyM6LkU3ZM0eVmzSsT3CoR5VL2Q0C80GJCMk/jhbUf3pchDM3nLie5HbzULcTnqlK0fHwfePrNg==
X-Received: by 2002:a63:d50f:0:b0:439:cc64:78a9 with SMTP id
 c15-20020a63d50f000000b00439cc6478a9mr1229368pgg.160.1663348917126; 
 Fri, 16 Sep 2022 10:21:57 -0700 (PDT)
Received: from [192.168.1.2] (cpe-76-168-148-233.socal.res.rr.com.
 [76.168.148.233]) by smtp.googlemail.com with ESMTPSA id
 17-20020a17090a035100b002001c9bf22esm1759034pjf.8.2022.09.16.10.21.55
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Fri, 16 Sep 2022 10:21:56 -0700 (PDT)
Subject: Re: bug#57752: 28.1.91; emacsclient-mail.desktop doesn't work for me
To: Gregory Heytings <gregory@HIDDEN>,
 Peter Oliver <p.d.oliver@HIDDEN>
References: <87r10gcum8.fsf@HIDDEN> <87bkrj31r0.fsf@HIDDEN>
 <87y1unxv15.fsf@HIDDEN> <83leqn4cji.fsf@HIDDEN>
 <87v8prxtox.fsf@HIDDEN> <a3cdfbd9-6e2e-c76d-c834-9ee1684fc97e@HIDDEN>
 <878rmjy78x.fsf@HIDDEN> <87bkrfiqbg.fsf@HIDDEN>
 <878rmjqysp.fsf@HIDDEN> <84acc36e7e9328ef2f76@HIDDEN>
 <87zgezpebo.fsf@HIDDEN> <84acc36e7e47f3fe9562@HIDDEN>
 <7069638a-21b3-9777-215c-3ce4ec18ca37@HIDDEN>
 <84acc36e7e2d900b70c0@HIDDEN>
From: Jim Porter <jporterbugs@HIDDEN>
Message-ID: <4712c3c2-dfca-c6a4-2840-13d20cffb7b8@HIDDEN>
Date: Fri, 16 Sep 2022 10:21:56 -0700
MIME-Version: 1.0
In-Reply-To: <84acc36e7e2d900b70c0@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 57752
Cc: Damien Cassou <damien@HIDDEN>, Robert Pluim <rpluim@HIDDEN>,
 57752 <at> debbugs.gnu.org, git@HIDDEN, Lars Ingebrigtsen <larsi@HIDDEN>,
 Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 9/16/2022 9:42 AM, Gregory Heytings wrote:
>>> And why is the above easier / better than
>>>
>>> emacsclient --eval '(progn (fun1 arg1 arg2) (fun2 arg3))'
>>
>> Because, with this, you have to correctly format the arguments with 
>> appropriate quoting into a lisp program, rather than just passing them 
>> straight in.  If the arguments are input from something else, this is 
>> harder than it appears.  Bad quoting is a common source of bugs 
>> (things like SQL injection, for example).
>>
> 
> If that's the intended use case, IMO instead of adding two --function 
> and --function-arg arguments it would be much clearer to add a --setq 
> parameter:
> 
> emacsclient --setq arg1 ... --setq arg2 ... --setq arg3 ... --eval 
> '(progn (fun1 arg1 arg2) (fun2 arg3))'

I'm not convinced that '--function-arg' is necessary, but I do think 
that adding '--function' to emacsclient would be the best solution of 
the ones presented so far. That would allow both of the following in 
.desktop files:

   emacsclient --function my-function-taking-one-url %u
   emacsclient --function my-function-taking-many-urls %U

(Likewise for %f/%F, which expands to one/many file names.) '--setq' has 
the disadvantage that you'd need some way to prepend *each* URL/filename 
with it in the %U/%F cases.

The functions above would need to be able to consume command-line 
arguments (like 'message-mailto' does), but that's not a big deal. We 
could even add an 'apply-from-command-line' function that adapts any 
existing function to do this:

   emacsclient --function apply-from-command-line func arg1 arg2

'apply-from-command-line' could look at the arity of 'func' and consume 
the appropriate number of command-line arguments.

Adding '--function' to emacsclient also has the advantage that it's 
already available for emacs, so it's not really an all-new feature so 
much as it is just adding a new place you can use it from. The semantics 
of '--function' are already set, and should work just fine for the cases 
described in this bug.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57752; Package emacs. Full text available.

Message received at 57752 <at> debbugs.gnu.org:


Received: (at 57752) by debbugs.gnu.org; 16 Sep 2022 16:42:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 16 12:42:41 2022
Received: from localhost ([127.0.0.1]:44049 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oZEQK-0004Lb-Tr
	for submit <at> debbugs.gnu.org; Fri, 16 Sep 2022 12:42:41 -0400
Received: from heytings.org ([95.142.160.155]:44702)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1oZEQI-0004LR-RD
 for 57752 <at> debbugs.gnu.org; Fri, 16 Sep 2022 12:42:39 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20220101; t=1663346557;
 bh=SWxm2HRRD0TxPI9o92gT8PsiMMSg7a+KX/U+H/zwvLY=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=aN0Md6A3xBBFp3zzpSV4Y8pYo1Y2+Ce0iMT+3mwwaZg5oaYb/9/afc8eI6NB2NEie
 yM0aW2+KzpnhjjhCVCcnXw+vKRqjKCOcCMMYaM27xc5mVqDTFz3Sg1CAGIVpO1+FjW
 LCOjKMxJXJ0zOwluUdce2alX3+YqUUEyfMK11qgx4mel2jvYA9IzXsaB1+1E+MMHfZ
 4bNOn57JsNqW5k18NpVJre2aGn1U9KxI2upza2WhSaUuPnvdA4lDmbqdF596VxmRME
 RloFafrMzunEMnwgj6KhkDVpPz7TAjV9YA9I4rmEfRgcPnRPT4KFBH/QMrPQtKgLig
 T56UWzzVb1Drw==
Date: Fri, 16 Sep 2022 16:42:37 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Peter Oliver <p.d.oliver@HIDDEN>
Subject: Re: bug#57752: 28.1.91; emacsclient-mail.desktop doesn't work for me
In-Reply-To: <7069638a-21b3-9777-215c-3ce4ec18ca37@HIDDEN>
Message-ID: <84acc36e7e2d900b70c0@HIDDEN>
References: <87r10gcum8.fsf@HIDDEN> <87bkrj31r0.fsf@HIDDEN>
 <87y1unxv15.fsf@HIDDEN> <83leqn4cji.fsf@HIDDEN>
 <87v8prxtox.fsf@HIDDEN> <a3cdfbd9-6e2e-c76d-c834-9ee1684fc97e@HIDDEN>
 <878rmjy78x.fsf@HIDDEN> <87bkrfiqbg.fsf@HIDDEN>
 <878rmjqysp.fsf@HIDDEN> <84acc36e7e9328ef2f76@HIDDEN>
 <87zgezpebo.fsf@HIDDEN> <84acc36e7e47f3fe9562@HIDDEN>
 <7069638a-21b3-9777-215c-3ce4ec18ca37@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=us-ascii
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57752
Cc: Jim Porter <jporterbugs@HIDDEN>, Damien Cassou <damien@HIDDEN>,
 Robert Pluim <rpluim@HIDDEN>, 57752 <at> debbugs.gnu.org, git@HIDDEN,
 Eli Zaretskii <eliz@HIDDEN>, Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>> And why is the above easier / better than
>> 
>> emacsclient --eval '(progn (fun1 arg1 arg2) (fun2 arg3))'
>
> Because, with this, you have to correctly format the arguments with 
> appropriate quoting into a lisp program, rather than just passing them 
> straight in.  If the arguments are input from something else, this is 
> harder than it appears.  Bad quoting is a common source of bugs (things 
> like SQL injection, for example).
>

If that's the intended use case, IMO instead of adding two --function and 
--function-arg arguments it would be much clearer to add a --setq 
parameter:

emacsclient --setq arg1 ... --setq arg2 ... --setq arg3 ... --eval '(progn (fun1 arg1 arg2) (fun2 arg3))'




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57752; Package emacs. Full text available.

Message received at 57752 <at> debbugs.gnu.org:


Received: (at 57752) by debbugs.gnu.org; 16 Sep 2022 16:18:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 16 12:18:52 2022
Received: from localhost ([127.0.0.1]:44018 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oZE3H-0003l8-Sx
	for submit <at> debbugs.gnu.org; Fri, 16 Sep 2022 12:18:52 -0400
Received: from mail-wr1-f50.google.com ([209.85.221.50]:44880)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <p.d.oliver@HIDDEN>) id 1oZE3E-0003ku-SK
 for 57752 <at> debbugs.gnu.org; Fri, 16 Sep 2022 12:18:50 -0400
Received: by mail-wr1-f50.google.com with SMTP id c11so36789387wrp.11
 for <57752 <at> debbugs.gnu.org>; Fri, 16 Sep 2022 09:18:48 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=mavit.org.uk; s=google;
 h=mime-version:references:message-id:in-reply-to:subject:cc:to:from
 :date:from:to:cc:subject:date;
 bh=j4HtXRkf21127nLGv8gL1JN5/uKGVMOsCSYbGfbNJOQ=;
 b=S5aCcgXLXLZJG6juC5OOVtlDmi3mBp4JcxjtjNL5Xa587UflA3yzYnqFCWEOecQnJV
 7xv3BWyfZxctVpWYbw+IAipBKysE+6+k1ykGd3Cr4kO+7b/QYOZgg/LV8JTEZxx0tw++
 QObRUSPNICCzZ4qMRWs9DCaTx0cmyGj50OacA=
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=mime-version:references:message-id:in-reply-to:subject:cc:to:from
 :date:x-gm-message-state:from:to:cc:subject:date;
 bh=j4HtXRkf21127nLGv8gL1JN5/uKGVMOsCSYbGfbNJOQ=;
 b=wj4+jv/UMiygGg3X3GOTXt9FJtEiCXU/Q0qiFel0D1KCJwbWPRZw33jvaj2KQkmjP1
 r+No77gkDc6VbgNkb5LtRHaGQucAwN8pE3CaPEfJsiLtaZi6+zKyjFceFTni75ZpxSQl
 cXs6mJ6/uYrvs/kOTP4wfCHuCh54WtN+SUeSIrL/rE7CcF/4sCmBvGcj9RyOaljYsUmg
 SgGLDC52ApX+wqZlT1eCSDRAZRwWyToFtmP/cdqkDJVacakodvipYIkHYzBzKXU5Mvru
 s6n6I7GzYZW9SlL6HKh4m03BZFwhm/LOz1Oy0Alw0LjhSPhdPgPKywPnJ86K9f+foXN5
 lqEg==
X-Gm-Message-State: ACrzQf2XoExQGd/hTt3Zuwo9WHDTs4AFasGT+9FxkqHngdrSyzQOJ2+0
 7ZxFqGSpriOVBtSGfWVE/D7p+g==
X-Google-Smtp-Source: AMsMyM5nSc0ElH4zj+TQ7Ukol77KngDOwnsR6wOAhjkzBjdWrG2YcAypoiG2/hd7ISmpeIAsCjnTRQ==
X-Received: by 2002:a5d:5887:0:b0:220:81c9:8ab7 with SMTP id
 n7-20020a5d5887000000b0022081c98ab7mr3320909wrf.702.1663345122886; 
 Fri, 16 Sep 2022 09:18:42 -0700 (PDT)
Received: from froglet.home.mavit.org.uk
 (dudl-14-b2-v4wan-165814-cust1925.vm31.cable.virginm.net. [82.34.135.134])
 by smtp.gmail.com with ESMTPSA id
 l10-20020a7bc34a000000b003a60f0f34b7sm2471705wmj.40.2022.09.16.09.18.42
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 16 Sep 2022 09:18:42 -0700 (PDT)
Received: from froglet.home.mavit.org.uk (localhost [127.0.0.1])
 by froglet.home.mavit.org.uk (8.17.1/8.17.1) with ESMTPS id 28GGIfMt015429
 (version=TLSv1.3 cipher=TLS_AES_256_GCM_SHA384 bits=256 verify=NOT);
 Fri, 16 Sep 2022 17:18:41 +0100
Received: from localhost (mavit@localhost)
 by froglet.home.mavit.org.uk (8.17.1/8.17.1/Submit) with ESMTP id
 28GGIdWi015426; Fri, 16 Sep 2022 17:18:40 +0100
X-Authentication-Warning: froglet.home.mavit.org.uk: mavit owned process doing
 -bs
Date: Fri, 16 Sep 2022 17:18:39 +0100 (BST)
From: Peter Oliver <p.d.oliver@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
Subject: Re: bug#57752: 28.1.91; emacsclient-mail.desktop doesn't work for me
In-Reply-To: <84acc36e7e47f3fe9562@HIDDEN>
Message-ID: <7069638a-21b3-9777-215c-3ce4ec18ca37@HIDDEN>
References: <87r10gcum8.fsf@HIDDEN> <87bkrj31r0.fsf@HIDDEN>
 <87y1unxv15.fsf@HIDDEN> <83leqn4cji.fsf@HIDDEN>
 <87v8prxtox.fsf@HIDDEN> <a3cdfbd9-6e2e-c76d-c834-9ee1684fc97e@HIDDEN>
 <878rmjy78x.fsf@HIDDEN> <87bkrfiqbg.fsf@HIDDEN>
 <878rmjqysp.fsf@HIDDEN> <84acc36e7e9328ef2f76@HIDDEN>
 <87zgezpebo.fsf@HIDDEN> <84acc36e7e47f3fe9562@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII; format=flowed
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57752
Cc: Jim Porter <jporterbugs@HIDDEN>, Damien Cassou <damien@HIDDEN>,
 Robert Pluim <rpluim@HIDDEN>, 57752 <at> debbugs.gnu.org, git@HIDDEN,
 Eli Zaretskii <eliz@HIDDEN>, Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Fri, 16 Sep 2022, Gregory Heytings wrote:

> And why is the above easier / better than
>
> emacsclient --eval '(progn (fun1 arg1 arg2) (fun2 arg3))'

Because, with this, you have to correctly format the arguments with appropriate quoting into a lisp program, rather than just passing them straight in.  If the arguments are input from something else, this is harder than it appears.  Bad quoting is a common source of bugs (things like SQL injection, for example).

-- 
Peter Oliver




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57752; Package emacs. Full text available.

Message received at 57752 <at> debbugs.gnu.org:


Received: (at 57752) by debbugs.gnu.org; 16 Sep 2022 15:21:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 16 11:21:31 2022
Received: from localhost ([127.0.0.1]:43982 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oZD9n-0002Ls-8T
	for submit <at> debbugs.gnu.org; Fri, 16 Sep 2022 11:21:31 -0400
Received: from mail-pj1-f53.google.com ([209.85.216.53]:41665)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jporterbugs@HIDDEN>) id 1oZD9l-0002Lf-EM
 for 57752 <at> debbugs.gnu.org; Fri, 16 Sep 2022 11:21:29 -0400
Received: by mail-pj1-f53.google.com with SMTP id
 q15-20020a17090a304f00b002002ac83485so37820pjl.0
 for <57752 <at> debbugs.gnu.org>; Fri, 16 Sep 2022 08:21:29 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:content-language:in-reply-to:mime-version
 :date:message-id:from:references:cc:to:subject:from:to:cc:subject
 :date; bh=aQKoIrD7gXJ4lS62tqr3rx9qZm41XcL10RPE5Ew7+t8=;
 b=Bi+SdGAjNazoaoyw8UK9iXBFvrp5uzGLGhe8RfV9el4s5+XatcEfdwjh0qwyWaSqT1
 Im36Kk5GpES9ynYz8Y8fL2Y7zhTfUoPOwL5boaemOGAYeGtKQMFIsFzMf6DgLzXdEuc/
 U6UoAT0OYhK2JB43TCHaJmwhrlaMB0oebIjSQMqQnyMjb3+kIWxtmdzato6L/DEtK0Nt
 Z+7Q1SE1Eh9wBv70WcRQeHhAWVo7nMkZE3T5GpYcqOMtt9nHrrtcuzsicXgD1VP6JHG7
 OEK86RgME3xYaCYVDHMu8zYWNMszXCcSFxvZYk13K+IZqKX09bGuVXGHd2GmFq4GUo8n
 Mq+A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:content-language:in-reply-to:mime-version
 :date:message-id:from:references:cc:to:subject:x-gm-message-state
 :from:to:cc:subject:date;
 bh=aQKoIrD7gXJ4lS62tqr3rx9qZm41XcL10RPE5Ew7+t8=;
 b=JhKXGHOqCgmwOEtcgne+Jo8mQSR7QtTUXQTdrWi1wixV6DsGmvO3NGRYXCQzDfYQ0y
 GbwSyCqSGn3dzftIl4l2idyS+h9kC1x2u07ENjg1NzbUOskPwIN9+7k5ONIeG63mDAO4
 KosUykKa7OgfV4dyg+m1x11xnnrG2vD35JABNoci5/jdTfddw37hMGvROyrJOH3CGMQ/
 zBTXib3Xeg1mLBLlrpdRBfJozucTZx1Cdxj/fFk2rMZyGAjnQHBOOSEDKnWLdFsEWwQt
 E0RC7rqefGy70qhDKCi0pEFn75Cqg4iOklg5BHutqJibvM3G3+ILmmYIlhhMNsvIaHfS
 ZE7Q==
X-Gm-Message-State: ACrzQf0jxTJBUMm2uB98TtL8/Y2Uvcf3KE/xg2bk8hK3qp0kHUu2pJUc
 AmDRWYHlrDmocb0keEGK46ok1i8LH04=
X-Google-Smtp-Source: AMsMyM5PVdjH0js+5+73I8LynqxhnIJcKe5ZFV6pwftdkpucMdYx4B+QZ5atJqSYB8N1bImxyaCsmQ==
X-Received: by 2002:a17:903:247:b0:16c:5017:9ad4 with SMTP id
 j7-20020a170903024700b0016c50179ad4mr341156plh.115.1663341683447; 
 Fri, 16 Sep 2022 08:21:23 -0700 (PDT)
Received: from [192.168.1.2] (cpe-76-168-148-233.socal.res.rr.com.
 [76.168.148.233]) by smtp.googlemail.com with ESMTPSA id
 u21-20020a632355000000b0041c30def5e8sm8969471pgm.33.2022.09.16.08.21.22
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Fri, 16 Sep 2022 08:21:22 -0700 (PDT)
Subject: Re: bug#57752: 28.1.91; emacsclient-mail.desktop doesn't work for me
To: Robert Pluim <rpluim@HIDDEN>, Lars Ingebrigtsen <larsi@HIDDEN>
References: <87r10gcum8.fsf@HIDDEN> <87bkrj31r0.fsf@HIDDEN>
 <87y1unxv15.fsf@HIDDEN> <83leqn4cji.fsf@HIDDEN>
 <87v8prxtox.fsf@HIDDEN> <a3cdfbd9-6e2e-c76d-c834-9ee1684fc97e@HIDDEN>
 <878rmjy78x.fsf@HIDDEN> <87bkrfiqbg.fsf@HIDDEN>
 <87bkrfwrqu.fsf@HIDDEN> <877d23iesn.fsf@HIDDEN>
From: Jim Porter <jporterbugs@HIDDEN>
Message-ID: <b707b1a1-b0fd-41c3-0df9-f2322732fa0b@HIDDEN>
Date: Fri, 16 Sep 2022 08:21:23 -0700
MIME-Version: 1.0
In-Reply-To: <877d23iesn.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 57752
Cc: Damien Cassou <damien@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>,
 git@HIDDEN, 57752 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 9/16/2022 7:18 AM, Robert Pluim wrote:
> There are also quoting and conversion issues to think about, eg:
> 
> emacs --function foo hello 3 indent-tabs-mode 'always
> 
> Do we make people say
> 
> "hello" if they want strings, which implies that indent-tabs-mode
> would be treated as a variable, 3 as a number, and the ' needs to be
> escaped somehow?

Hopefully not, since one of the goals here is to be able to accept 
arbitrary strings from other programs (e.g. your mailto: handler). If we 
required strings to look "like this", then it becomes much more 
difficult to ensure that internal quotation marks are properly escaped.

Instead, I think the arguments passed this way should always be strings. 
If you need something fancier, --eval can step in. (Of course, a 
function called with --function can convert its arguments however it likes.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57752; Package emacs. Full text available.

Message received at 57752 <at> debbugs.gnu.org:


Received: (at 57752) by debbugs.gnu.org; 16 Sep 2022 15:17:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 16 11:17:42 2022
Received: from localhost ([127.0.0.1]:43978 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oZD66-0002Fp-KO
	for submit <at> debbugs.gnu.org; Fri, 16 Sep 2022 11:17:42 -0400
Received: from mail-pg1-f171.google.com ([209.85.215.171]:46776)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jporterbugs@HIDDEN>) id 1oZD64-0002Fb-3V
 for 57752 <at> debbugs.gnu.org; Fri, 16 Sep 2022 11:17:41 -0400
Received: by mail-pg1-f171.google.com with SMTP id 78so20618053pgb.13
 for <57752 <at> debbugs.gnu.org>; Fri, 16 Sep 2022 08:17:40 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:content-language:in-reply-to:mime-version
 :date:message-id:from:references:cc:to:subject:from:to:cc:subject
 :date; bh=hJ+ksHd/F6FhaocQL6v0pMOdWnOovBxx2SgYL5Pf8zU=;
 b=H8QB4lJZL+WrvnyiKU/oQfyj5uRe6wwIb+Ey5M8FZXl/Y3ReZb1ya8BWX90XCzvMjX
 YX2kiRvI1QMLLIzvNS+8mOJnAn/iROEIxdxml+6p5URaiL54+KvITjnxE3vUpvBLl/TB
 2Hd/G0M7KZf/lTOagZ4uggFQAsk207x66Md1xFYmWunoQaVPwgycDGnemtIpi7spk+ka
 RksNOYkwEPLTZCo3/WODClgVJr2pzOKuk/J8Yyx9djYKG9RBjKPyZsaOC0G9Z/sYIp5j
 z1G569AGhFTMRqlSt+fWx5IF6hwzNcfIvZsd3HX5AQcpUv3KZDyUOJQ8pgQ52g6q+UZF
 Ifkw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:content-language:in-reply-to:mime-version
 :date:message-id:from:references:cc:to:subject:x-gm-message-state
 :from:to:cc:subject:date;
 bh=hJ+ksHd/F6FhaocQL6v0pMOdWnOovBxx2SgYL5Pf8zU=;
 b=OHuq9pBYEOr5Ej/v6hdkkUlWz7tBrm2OR1vbM4EXjNfisrarQtyhWAtCKGUb+2ek+d
 lFyQ8JGsPeO6y18PzAg25QS8UCv/r+MePb02lGsmHWN9vpDrFmzgULlHetdV6FrC4rqA
 GkUIh+xbsgXDLoqiMzutocC+1S2VzMMqMY+fOZMsGUWVtSjOMEbnDLVoWC4J1Y9MNz+u
 L9P+6X0VBzp8FJo7iGwJ29yz7tA6PxiUmlyHm1ZnUJVbz+08Z8XOZuCdDtTiKG37B0+s
 LQig/mEsgn1Y3mThXTUtBacrRwzD9Rlxr2gnlICFitTXDfvYJjzn2jxto00g4WCC4KGj
 4Urw==
X-Gm-Message-State: ACrzQf0qpUDQVwiKzKw2CUmXd+2MXr721FlIs42UHG9wB3/UnL5eP2Ba
 KC5JoZLDPe1bqlrRk0Br6U8hwDnrTQU=
X-Google-Smtp-Source: AMsMyM7DspyJstmGNSClpki9QxWZ912NXGN7y55lPEbewVZ6bbbV8FgVz2KDhJwyA2h8HuD8PxHkcw==
X-Received: by 2002:a05:6a00:230d:b0:53d:c198:6ad7 with SMTP id
 h13-20020a056a00230d00b0053dc1986ad7mr5954704pfh.67.1663341454161; 
 Fri, 16 Sep 2022 08:17:34 -0700 (PDT)
Received: from [192.168.1.2] (cpe-76-168-148-233.socal.res.rr.com.
 [76.168.148.233]) by smtp.googlemail.com with ESMTPSA id
 f16-20020a17090a121000b00202dc1416bfsm1613813pja.31.2022.09.16.08.17.32
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Fri, 16 Sep 2022 08:17:33 -0700 (PDT)
Subject: Re: bug#57752: 28.1.91; emacsclient-mail.desktop doesn't work for me
To: Lars Ingebrigtsen <larsi@HIDDEN>
References: <87r10gcum8.fsf@HIDDEN> <87bkrj31r0.fsf@HIDDEN>
 <87y1unxv15.fsf@HIDDEN> <83leqn4cji.fsf@HIDDEN>
 <87v8prxtox.fsf@HIDDEN> <a3cdfbd9-6e2e-c76d-c834-9ee1684fc97e@HIDDEN>
 <878rmjy78x.fsf@HIDDEN>
From: Jim Porter <jporterbugs@HIDDEN>
Message-ID: <9e796c00-92e2-37fd-a90e-6ef615296b9e@HIDDEN>
Date: Fri, 16 Sep 2022 08:17:33 -0700
MIME-Version: 1.0
In-Reply-To: <878rmjy78x.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 57752
Cc: Damien Cassou <damien@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>,
 git@HIDDEN, 57752 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 9/16/2022 2:54 AM, Lars Ingebrigtsen wrote:
> I've idly wondered before whether we should add a general mechanism for
> this to avoid having to create functions that look at
> `command-line-args-left' themselves.  (And --eval is problematic in
> circumstances like this.)
> 
> So something like
> 
> --function foo --function-args bar zot gazonk
> 
> would result in calling `foo' with those arguments.
> 
> Hm...  would we need some way to say "here's the end of
> --function-args", perhaps?  "--"?  So:
> 
> --function foo --function-args bar zot gazonk --
> 
> Anybody have any thoughts here?

I have two thoughts:

1) Instead of specifying the function args with a flag, I think I'd go 
the other way and specify the function as being special, e.g.:

   emacs --apply func arg1 arg2

2) Even better, why not just use --function and pass some higher-order 
function:

   emacs --function apply-from-command-line func arg1 arg2

That way, it's easy to substitute in some other higher-order function if 
you want. emacsclient would still need to add a --function flag though, 
and probably some changes to how it forwards arguments to the main emacs 
so that you can do stuff like this.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57752; Package emacs. Full text available.

Message received at 57752 <at> debbugs.gnu.org:


Received: (at 57752) by debbugs.gnu.org; 16 Sep 2022 15:07:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 16 11:07:39 2022
Received: from localhost ([127.0.0.1]:43963 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oZCwM-00020X-Op
	for submit <at> debbugs.gnu.org; Fri, 16 Sep 2022 11:07:38 -0400
Received: from heytings.org ([95.142.160.155]:44572)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1oZCwK-00020Q-KM
 for 57752 <at> debbugs.gnu.org; Fri, 16 Sep 2022 11:07:36 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20220101; t=1663340855;
 bh=cfSDQ5f622m2QxjH8S/4x5agVnfJPm++ufOKaj1WLyo=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=dfIj7JhLpVL7cw56ekdvt6sDGDZg32jF4hvZvcajEajMyB3OgJrpc53ERWXXMbpQU
 Uzn4cP9RGb0jv6YawBJJ0i0WwpHgVSHKhRO7AG1M3Ha4dm1h33cYA57n3r39t4XU0H
 AP8F+FkqpcYggaZ76Q75HKf+5jx8rp6UgmX9lWkOYOPkQroEoYuNJ6DBZUOd11ikAo
 W3L0/qPVCeXh621EgdLuUXA4cHrjEC5IToPAE4funYDnmQNo0n92aNq1c33s6nlkQh
 kWHs5EsTdvUWCFXMSYm63Pj7KciaYxyNq7tM0DjejTDCCMGZi0Vf8GKEDYqvrdUSe/
 gQm/Od4fxQ4MQ==
Date: Fri, 16 Sep 2022 15:07:34 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Damien Cassou <damien@HIDDEN>
Subject: Re: bug#57752: 28.1.91; emacsclient-mail.desktop doesn't work for me
In-Reply-To: <87zgezpebo.fsf@HIDDEN>
Message-ID: <84acc36e7e47f3fe9562@HIDDEN>
References: <87r10gcum8.fsf@HIDDEN> <87bkrj31r0.fsf@HIDDEN>
 <87y1unxv15.fsf@HIDDEN> <83leqn4cji.fsf@HIDDEN>
 <87v8prxtox.fsf@HIDDEN> <a3cdfbd9-6e2e-c76d-c834-9ee1684fc97e@HIDDEN>
 <878rmjy78x.fsf@HIDDEN> <87bkrfiqbg.fsf@HIDDEN>
 <878rmjqysp.fsf@HIDDEN> <84acc36e7e9328ef2f76@HIDDEN>
 <87zgezpebo.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57752
Cc: Jim Porter <jporterbugs@HIDDEN>, Robert Pluim <rpluim@HIDDEN>,
 57752 <at> debbugs.gnu.org, git@HIDDEN, Lars Ingebrigtsen <larsi@HIDDEN>,
 Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>> I'm not sure what you want to do
>
> emacsclient \
>  --function fun1 --function-args arg1 arg2 \
>  --function fun2 --function-args arg3
>

But emacsclient doesn't have a --function / --function-args parameter? 
And why is the above easier / better than

emacsclient --eval '(progn (fun1 arg1 arg2) (fun2 arg3))'

?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57752; Package emacs. Full text available.

Message received at 57752 <at> debbugs.gnu.org:


Received: (at 57752) by debbugs.gnu.org; 16 Sep 2022 14:47:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 16 10:47:41 2022
Received: from localhost ([127.0.0.1]:43918 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oZCd3-0001Sj-7M
	for submit <at> debbugs.gnu.org; Fri, 16 Sep 2022 10:47:41 -0400
Received: from mail.choca.pics ([80.67.172.235]:36626)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <damien@HIDDEN>) id 1oZCd1-0001SX-TQ
 for 57752 <at> debbugs.gnu.org; Fri, 16 Sep 2022 10:47:40 -0400
Received: from localhost (localhost.localdomain [IPv6:::1])
 by mail.choca.pics (Postfix) with ESMTP id 710F5181942C9;
 Fri, 16 Sep 2022 16:47:39 +0200 (CEST)
Received: from mail.choca.pics ([IPv6:::1])
 by localhost (mail.choca.pics [IPv6:::1]) (amavisd-new, port 10032)
 with ESMTP id O3dyMo0rxRj0; Fri, 16 Sep 2022 16:47:39 +0200 (CEST)
Received: from localhost (localhost.localdomain [IPv6:::1])
 by mail.choca.pics (Postfix) with ESMTP id 2420C181942D8;
 Fri, 16 Sep 2022 16:47:39 +0200 (CEST)
X-Virus-Scanned: amavisd-new at choca.pics
Received: from mail.choca.pics ([IPv6:::1])
 by localhost (mail.choca.pics [IPv6:::1]) (amavisd-new, port 10026)
 with ESMTP id 4bhGocEhVu-W; Fri, 16 Sep 2022 16:47:39 +0200 (CEST)
Received: from localhost (240-68-190-109.dsl.ovh.fr [109.190.68.240])
 by mail.choca.pics (Postfix) with ESMTPSA id E231A181942C9;
 Fri, 16 Sep 2022 16:47:38 +0200 (CEST)
From: Damien Cassou <damien@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#57752: 28.1.91; emacsclient-mail.desktop doesn't work for me
In-Reply-To: <8735criepx.fsf@HIDDEN>
References: <87r10gcum8.fsf@HIDDEN> <87bkrj31r0.fsf@HIDDEN>
 <87y1unxv15.fsf@HIDDEN> <83leqn4cji.fsf@HIDDEN>
 <87v8prxtox.fsf@HIDDEN>
 <a3cdfbd9-6e2e-c76d-c834-9ee1684fc97e@HIDDEN> <878rmjy78x.fsf@HIDDEN>
 <87bkrfiqbg.fsf@HIDDEN> <878rmjqysp.fsf@HIDDEN>
 <8735criepx.fsf@HIDDEN>
Date: Fri, 16 Sep 2022 16:47:38 +0200
Message-ID: <87wna3pe9h.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 57752
Cc: Jim Porter <jporterbugs@HIDDEN>, Lars Ingebrigtsen <larsi@HIDDEN>,
 git@HIDDEN, Eli Zaretskii <eliz@HIDDEN>, 57752 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Robert Pluim <rpluim@HIDDEN> writes:
> Hmm, that=CA=BCs a good point. May have the next argument starting with a
> =CA=BC-=CA=BC implicitly end the arglist, so you could do =CA=BC--functio=
n=CA=BC again?

I think the suggestion of Lars using =CA=BC--=CA=BC was clearer and is also
aligned with other commands I often use.

--=20
Damien Cassou

"Success is the ability to go from one failure to another without
losing enthusiasm." --Winston Churchill




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57752; Package emacs. Full text available.

Message received at 57752 <at> debbugs.gnu.org:


Received: (at 57752) by debbugs.gnu.org; 16 Sep 2022 14:46:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 16 10:46:25 2022
Received: from localhost ([127.0.0.1]:43914 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oZCbo-0001Qb-NL
	for submit <at> debbugs.gnu.org; Fri, 16 Sep 2022 10:46:25 -0400
Received: from mail.choca.pics ([80.67.172.235]:36586)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <damien@HIDDEN>) id 1oZCbn-0001QS-2P
 for 57752 <at> debbugs.gnu.org; Fri, 16 Sep 2022 10:46:23 -0400
Received: from localhost (localhost.localdomain [IPv6:::1])
 by mail.choca.pics (Postfix) with ESMTP id 32B36181942C9;
 Fri, 16 Sep 2022 16:46:21 +0200 (CEST)
Received: from mail.choca.pics ([IPv6:::1])
 by localhost (mail.choca.pics [IPv6:::1]) (amavisd-new, port 10032)
 with ESMTP id zGOffGZkmG1E; Fri, 16 Sep 2022 16:46:20 +0200 (CEST)
Received: from localhost (localhost.localdomain [IPv6:::1])
 by mail.choca.pics (Postfix) with ESMTP id B3D48181929F6;
 Fri, 16 Sep 2022 16:46:20 +0200 (CEST)
X-Virus-Scanned: amavisd-new at choca.pics
Received: from mail.choca.pics ([IPv6:::1])
 by localhost (mail.choca.pics [IPv6:::1]) (amavisd-new, port 10026)
 with ESMTP id WC9rZIiP7CLv; Fri, 16 Sep 2022 16:46:20 +0200 (CEST)
Received: from localhost (240-68-190-109.dsl.ovh.fr [109.190.68.240])
 by mail.choca.pics (Postfix) with ESMTPSA id 53E88181942C9;
 Fri, 16 Sep 2022 16:46:20 +0200 (CEST)
From: Damien Cassou <damien@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
Subject: Re: bug#57752: 28.1.91; emacsclient-mail.desktop doesn't work for me
In-Reply-To: <84acc36e7e9328ef2f76@HIDDEN>
References: <87r10gcum8.fsf@HIDDEN> <87bkrj31r0.fsf@HIDDEN>
 <87y1unxv15.fsf@HIDDEN> <83leqn4cji.fsf@HIDDEN>
 <87v8prxtox.fsf@HIDDEN>
 <a3cdfbd9-6e2e-c76d-c834-9ee1684fc97e@HIDDEN> <878rmjy78x.fsf@HIDDEN>
 <87bkrfiqbg.fsf@HIDDEN> <878rmjqysp.fsf@HIDDEN>
 <84acc36e7e9328ef2f76@HIDDEN>
Date: Fri, 16 Sep 2022 16:46:19 +0200
Message-ID: <87zgezpebo.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 57752
Cc: Jim Porter <jporterbugs@HIDDEN>, Robert Pluim <rpluim@HIDDEN>,
 57752 <at> debbugs.gnu.org, git@HIDDEN, Eli Zaretskii <eliz@HIDDEN>,
 Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Gregory Heytings <gregory@HIDDEN> writes:
> I'm not sure what you want to do

emacsclient \
  --function fun1 --function-args arg1 arg2 \
  --function fun2 --function-args arg3

-- 
Damien Cassou

"Success is the ability to go from one failure to another without
losing enthusiasm." --Winston Churchill




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57752; Package emacs. Full text available.

Message received at 57752 <at> debbugs.gnu.org:


Received: (at 57752) by debbugs.gnu.org; 16 Sep 2022 14:19:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 16 10:19:50 2022
Received: from localhost ([127.0.0.1]:43846 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oZCC6-0000h1-8d
	for submit <at> debbugs.gnu.org; Fri, 16 Sep 2022 10:19:50 -0400
Received: from mail-wr1-f46.google.com ([209.85.221.46]:45780)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1oZCC1-0000gl-KD
 for 57752 <at> debbugs.gnu.org; Fri, 16 Sep 2022 10:19:49 -0400
Received: by mail-wr1-f46.google.com with SMTP id n10so5675921wrw.12
 for <57752 <at> debbugs.gnu.org>; Fri, 16 Sep 2022 07:19:45 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:message-id:date:references
 :in-reply-to:subject:cc:to:from:from:to:cc:subject:date;
 bh=Ec6En9lJSvXglnoFWOGque3s1ffYAtop+xE6+IQXWzg=;
 b=Ea/NFw0ovRkBKwvCms052kOrToIabzuuje4pnp+AKnQKuS36bnhaIrHwKZz/tbXv/6
 H69vyeLBFWU3LPI+lEzVQslCUcN6Zn9X0mHfspLaNokyEqUZZsJpE4bP5VShwsTKAfhk
 ormKw2c0NjibKQ/OCiP3K95Rh1dojX79/kHscmPeomMFWddnIQfZINXQELhD0oZWww2R
 FS3DjaYq5JUq7VwnAKlR8C6zKbJjZJB+nViFNilim+S5ydXrKYfK4fEHeAvneOvCSxOq
 ATv4ypxc3ZY0afnzuMY7DVIXI010KdSENKIRazxMzLeDcQpuwsOC3HzGLkYKhMW2bzGy
 xAJQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:message-id:date:references
 :in-reply-to:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date;
 bh=Ec6En9lJSvXglnoFWOGque3s1ffYAtop+xE6+IQXWzg=;
 b=IrUD9QMiSte5eGpLvVUqptw67A9vNVHT6954Z3YHNa9QsmVjAxNssxvX09ruPt0+J/
 IcdxC0OUrc5gMVIIYCDqOgKkY6gv8UsTaV2f1rogcdn9PJDuozH9EoOuR3Wev0rnSkMb
 yR0bSVbsc7jna8kgSUaSEI9kY/4uoSLn+NJ3wMpd7fFMQOHZLdKV/CYt5X6aKMAEu89C
 LW95bLogiclPZNXcBeXdPDMX5HqnErQqmd/2ODx3RL9boi4CVJS4zaOHbv13e7brCD0N
 HP1QSLMe/mqMh9DVUWDYwT7LlONVhTlUUE+PODQzUWv2KQpDkdMPU9nqMJzcsM2YnB4Q
 yevA==
X-Gm-Message-State: ACrzQf2XfogItsGsyNQv0/WpMdD4qzo0U6QuyrPDwiLmF5Mr2weuI/aG
 GrYyutidf2JiKFzj7igxvqlAV2OhT3w=
X-Google-Smtp-Source: AMsMyM7MoauXAk9QqkQjTZ3VegXI+yhTGEN3Gf8q4/9sptFaCFWOoJLCvtGFhem2e2BDuSdhww6Eig==
X-Received: by 2002:a05:6000:912:b0:229:9bc1:27ed with SMTP id
 bz18-20020a056000091200b002299bc127edmr2945851wrb.546.1663337979527; 
 Fri, 16 Sep 2022 07:19:39 -0700 (PDT)
Received: from rltb ([2a01:e0a:3f3:fb50:16a0:9848:d23c:7dcb])
 by smtp.gmail.com with ESMTPSA id
 9-20020a05600c22c900b003b476cabf1csm2344549wmg.26.2022.09.16.07.19.38
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 16 Sep 2022 07:19:39 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Damien Cassou <damien@HIDDEN>
Subject: Re: bug#57752: 28.1.91; emacsclient-mail.desktop doesn't work for me
In-Reply-To: <878rmjqysp.fsf@HIDDEN> (Damien Cassou's message of "Fri, 16
 Sep 2022 14:38:46 +0200")
References: <87r10gcum8.fsf@HIDDEN> <87bkrj31r0.fsf@HIDDEN>
 <87y1unxv15.fsf@HIDDEN> <83leqn4cji.fsf@HIDDEN>
 <87v8prxtox.fsf@HIDDEN>
 <a3cdfbd9-6e2e-c76d-c834-9ee1684fc97e@HIDDEN>
 <878rmjy78x.fsf@HIDDEN> <87bkrfiqbg.fsf@HIDDEN>
 <878rmjqysp.fsf@HIDDEN>
Date: Fri, 16 Sep 2022 16:19:38 +0200
Message-ID: <8735criepx.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 57752
Cc: Jim Porter <jporterbugs@HIDDEN>, Lars Ingebrigtsen <larsi@HIDDEN>,
 git@HIDDEN, Eli Zaretskii <eliz@HIDDEN>, 57752 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Fri, 16 Sep 2022 14:38:46 +0200, Damien Cassou <damien@HIDDEN> =
said:

    Damien> Robert Pluim <rpluim@HIDDEN> writes:
    Lars> Hm...  would we need some way to say "here's the end of
    Lars> --function-args", perhaps?  "--"?  So:
    >>=20
    >> and this also isn=CA=BCt necessary, since the end of args is implici=
t by
    >> reaching the end of the arguments, same as '--eval'


    Damien> does it mean emacsclient will never be able to execute more than
    Damien> one function at a time?

Hmm, that=CA=BCs a good point. May have the next argument starting with a
=CA=BC-=CA=BC implicitly end the arglist, so you could do =CA=BC--function=
=CA=BC again?

Robert
--=20




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57752; Package emacs. Full text available.

Message received at 57752 <at> debbugs.gnu.org:


Received: (at 57752) by debbugs.gnu.org; 16 Sep 2022 14:18:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 16 10:18:09 2022
Received: from localhost ([127.0.0.1]:43842 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oZCAS-0000eZ-Pk
	for submit <at> debbugs.gnu.org; Fri, 16 Sep 2022 10:18:09 -0400
Received: from mail-wr1-f53.google.com ([209.85.221.53]:43528)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1oZCAR-0000eK-UK
 for 57752 <at> debbugs.gnu.org; Fri, 16 Sep 2022 10:18:08 -0400
Received: by mail-wr1-f53.google.com with SMTP id t7so36221251wrm.10
 for <57752 <at> debbugs.gnu.org>; Fri, 16 Sep 2022 07:18:07 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:message-id:date:references
 :in-reply-to:subject:cc:to:from:from:to:cc:subject:date;
 bh=3R7mjgneDye6XgqdnYXaEjEEzSvJ8bEgGSigB22wiqs=;
 b=nr5Fsn+0vDWyhw1Zf7kg33zsUiAzZCs+CTE/vcBwLBS6v5tcutps7gbJYf1imavI1N
 IRLka5xHAPqLRSNIR+r7EuovInE34UrgzrcYEj3hfORU+ncp5x1ndCQ6IXIIBcA1vTjg
 OBuEY2JL3Q/bexo5uRjn/r5JZep8qGOSschdWSJlSBMCaYbvW9zBllKIA1SwrKZTfwAA
 k+Npn5Hhp1BLEByhjUq6y//fyyU/wDGJLPF63PnHPECg7ZrPIbESrbM9Ad7Czb9F7yxz
 S+hhjMowb3gXup/C6eS27q13T7Jyupb3ZLiwTS12ZlZWJ+td7mdphZZnoSYyCLxyM2Rx
 l2LA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:message-id:date:references
 :in-reply-to:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date;
 bh=3R7mjgneDye6XgqdnYXaEjEEzSvJ8bEgGSigB22wiqs=;
 b=ruGc8DadAntAT2+W6K7Uxc4AROw1EAJYjzLFBai8Y+bwFadhzF3r7jHG7IjAclbpnW
 NqdATY6+mLEeURlMpPnOKqs7HMwTCpxBqpBTmbySzIQz2GDyn8q9mYHbaQa3BpC33jCz
 LdI53sJN0hdCQa0JFZ1OuDVohrVnrtYMt52JrX38cXnzVmFOeWfnOhfSXdtteK1XO3cd
 V9IQA/o7l8Zf9Gh+WY+JX/Oq381a8GnaBblmhisTcN7XEPUYRYyj3kP3pjvOMCsrccPG
 XKwRAOz0s9Agn11kdu71SiKwrXu9m92gPeOKCZymlnqfcsgSueU+PA43DEk0CjlVj1gm
 8NWg==
X-Gm-Message-State: ACrzQf2BwfZJSt9yALePqF/e8nNpz+i30UlrEC9ifu5FDd0/lKXiEXfW
 r+CZ0MhrrMnqC0jqlBx8u6hmJvtdWmE=
X-Google-Smtp-Source: AMsMyM4Qsde+dLye4DQDyonVKqJ3zTwxIPWlbFt4iu/0n5hvNphhH8EBTarxtIcT2DQiUfv+Jp4vzw==
X-Received: by 2002:a05:6000:2a3:b0:226:dff3:b031 with SMTP id
 l3-20020a05600002a300b00226dff3b031mr3037633wry.495.1663337881426; 
 Fri, 16 Sep 2022 07:18:01 -0700 (PDT)
Received: from rltb ([2a01:e0a:3f3:fb50:16a0:9848:d23c:7dcb])
 by smtp.gmail.com with ESMTPSA id
 j32-20020a05600c1c2000b003b4a699ce8esm2827237wms.6.2022.09.16.07.18.00
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 16 Sep 2022 07:18:00 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#57752: 28.1.91; emacsclient-mail.desktop doesn't work for me
In-Reply-To: <87bkrfwrqu.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Fri,
 16 Sep 2022 12:14:33 +0200")
References: <87r10gcum8.fsf@HIDDEN> <87bkrj31r0.fsf@HIDDEN>
 <87y1unxv15.fsf@HIDDEN> <83leqn4cji.fsf@HIDDEN>
 <87v8prxtox.fsf@HIDDEN>
 <a3cdfbd9-6e2e-c76d-c834-9ee1684fc97e@HIDDEN>
 <878rmjy78x.fsf@HIDDEN> <87bkrfiqbg.fsf@HIDDEN>
 <87bkrfwrqu.fsf@HIDDEN>
Date: Fri, 16 Sep 2022 16:18:00 +0200
Message-ID: <877d23iesn.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 57752
Cc: Damien Cassou <damien@HIDDEN>, Jim Porter <jporterbugs@HIDDEN>,
 Eli Zaretskii <eliz@HIDDEN>, git@HIDDEN, 57752 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Fri, 16 Sep 2022 12:14:33 +0200, Lars Ingebrigtsen <larsi@HIDDEN=
> said:

    Lars> Robert Pluim <rpluim@HIDDEN> writes:
    Lars> I've idly wondered before whether we should add a general
    Lars> mechanism for
    Lars> this to avoid having to create functions that look at
    Lars> `command-line-args-left' themselves.  (And --eval is problematic =
in
    Lars> circumstances like this.)
    >>=20
    >> emacsclient interprets
    >>=20
    >> emacsclient arg1 arg2 --eval (form1) (form2) (form3)
    >>=20
    >> as "send (form1), then (form2) then (form3), so by analogy this:
    >>=20
    Lars> --function foo --function-args bar zot gazonk
    >>=20
    >> doesn=CA=BCt require a --function-args parameter

    Lars> I was thinking first and foremost about on the Emacs side, not on=
 the
    Lars> emacsside client.  But if then Emacs had --function-args, then by
    Lars> analogy, emacsclient should also have it.

Wouldn=CA=BCt it be easier to define a macro to do the
`command-line-args-left' handling on behalf of a defun? That macro
would then consume any args up to the next arg starting with '-', so
you could do

emacs --function foo arg1 arg2 arg3 --function bar arg4 arg5 arg6

There are also quoting and conversion issues to think about, eg:

emacs --function foo hello 3 indent-tabs-mode 'always

Do we make people say

"hello" if they want strings, which implies that indent-tabs-mode
would be treated as a variable, 3 as a number, and the ' needs to be
escaped somehow?

Robert
--=20




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57752; Package emacs. Full text available.

Message received at 57752 <at> debbugs.gnu.org:


Received: (at 57752) by debbugs.gnu.org; 16 Sep 2022 12:50:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 16 08:50:33 2022
Received: from localhost ([127.0.0.1]:42096 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oZAng-0006PU-Ut
	for submit <at> debbugs.gnu.org; Fri, 16 Sep 2022 08:50:33 -0400
Received: from heytings.org ([95.142.160.155]:44298)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1oZAne-0006PI-S8
 for 57752 <at> debbugs.gnu.org; Fri, 16 Sep 2022 08:50:31 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20220101; t=1663332629;
 bh=/xY5UhwBNTfE/1oDd77JiFy+olLMFpZY4TwuaeLGs90=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=iBaTtceeETGjMG98CXXTP/Tqc4LT+CxwW6/PLyylE1N88PJ5TAaHdnZ+KsQqfiBl5
 NtsB9n8kIGpmjOqbSZksJWcEhJFsKtQhsPRgSbbC9FhCFDX8l0TlNNj7iwCEcjzMY5
 AuVKYTZ21u3fcjJSNfYI7QAqqmvSDvlM3ikCFEm5AkWlpTz+sq0NPCB66oxNk6lWmE
 OO9pk54SuLXbdnhK9mbPf4hPCUYgm+C66dGCYAwI06llbFn4oI7HniVoExhBAA/CF2
 jd2Dl+OYFGIHM9xf7x9Z+zj3otR+nEtyeMtGB3r1G6NJ650uJE96z1kVobGX+NKOoY
 7XaP60meHOzmQ==
Date: Fri, 16 Sep 2022 12:50:29 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Damien Cassou <damien@HIDDEN>
Subject: Re: bug#57752: 28.1.91; emacsclient-mail.desktop doesn't work for me
In-Reply-To: <878rmjqysp.fsf@HIDDEN>
Message-ID: <84acc36e7e9328ef2f76@HIDDEN>
References: <87r10gcum8.fsf@HIDDEN> <87bkrj31r0.fsf@HIDDEN>
 <87y1unxv15.fsf@HIDDEN> <83leqn4cji.fsf@HIDDEN>
 <87v8prxtox.fsf@HIDDEN> <a3cdfbd9-6e2e-c76d-c834-9ee1684fc97e@HIDDEN>
 <878rmjy78x.fsf@HIDDEN> <87bkrfiqbg.fsf@HIDDEN>
 <878rmjqysp.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=us-ascii
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57752
Cc: Jim Porter <jporterbugs@HIDDEN>, Robert Pluim <rpluim@HIDDEN>,
 57752 <at> debbugs.gnu.org, git@HIDDEN, Eli Zaretskii <eliz@HIDDEN>,
 Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>
> does it mean emacsclient will never be able to execute more than one 
> function at a time?
>

I'm not sure what you want to do, but you can use an arbitrarily complex 
form in eval, with as many function calls as you want, for example:

emacsclient --eval '(progn (foo) (bar) (baz) (zot))'




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57752; Package emacs. Full text available.

Message received at 57752 <at> debbugs.gnu.org:


Received: (at 57752) by debbugs.gnu.org; 16 Sep 2022 12:38:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 16 08:38:55 2022
Received: from localhost ([127.0.0.1]:42066 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oZAcQ-00062k-Vl
	for submit <at> debbugs.gnu.org; Fri, 16 Sep 2022 08:38:55 -0400
Received: from mail.choca.pics ([80.67.172.235]:34800)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <damien@HIDDEN>) id 1oZAcM-00062W-GL
 for 57752 <at> debbugs.gnu.org; Fri, 16 Sep 2022 08:38:53 -0400
Received: from localhost (localhost.localdomain [IPv6:::1])
 by mail.choca.pics (Postfix) with ESMTP id B2B42181929F6;
 Fri, 16 Sep 2022 14:38:48 +0200 (CEST)
Received: from mail.choca.pics ([IPv6:::1])
 by localhost (mail.choca.pics [IPv6:::1]) (amavisd-new, port 10032)
 with ESMTP id GXeQuChE68Q0; Fri, 16 Sep 2022 14:38:48 +0200 (CEST)
Received: from localhost (localhost.localdomain [IPv6:::1])
 by mail.choca.pics (Postfix) with ESMTP id 4F3AC181942D8;
 Fri, 16 Sep 2022 14:38:48 +0200 (CEST)
X-Virus-Scanned: amavisd-new at choca.pics
Received: from mail.choca.pics ([IPv6:::1])
 by localhost (mail.choca.pics [IPv6:::1]) (amavisd-new, port 10026)
 with ESMTP id yN-TI_IaY_jj; Fri, 16 Sep 2022 14:38:48 +0200 (CEST)
Received: from localhost (240-68-190-109.dsl.ovh.fr [109.190.68.240])
 by mail.choca.pics (Postfix) with ESMTPSA id 034B4181942C4;
 Fri, 16 Sep 2022 14:38:47 +0200 (CEST)
From: Damien Cassou <damien@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>, Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#57752: 28.1.91; emacsclient-mail.desktop doesn't work for me
In-Reply-To: <87bkrfiqbg.fsf@HIDDEN>
References: <87r10gcum8.fsf@HIDDEN> <87bkrj31r0.fsf@HIDDEN>
 <87y1unxv15.fsf@HIDDEN> <83leqn4cji.fsf@HIDDEN>
 <87v8prxtox.fsf@HIDDEN>
 <a3cdfbd9-6e2e-c76d-c834-9ee1684fc97e@HIDDEN> <878rmjy78x.fsf@HIDDEN>
 <87bkrfiqbg.fsf@HIDDEN>
Date: Fri, 16 Sep 2022 14:38:46 +0200
Message-ID: <878rmjqysp.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 57752
Cc: Jim Porter <jporterbugs@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>,
 git@HIDDEN, 57752 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Robert Pluim <rpluim@HIDDEN> writes:
>     Lars> Hm...  would we need some way to say "here's the end of
>     Lars> --function-args", perhaps?  "--"?  So:
>
> and this also isn=CA=BCt necessary, since the end of args is implicit by
> reaching the end of the arguments, same as '--eval'


does it mean emacsclient will never be able to execute more than
one function at a time?

--=20
Damien Cassou

"Success is the ability to go from one failure to another without
losing enthusiasm." --Winston Churchill




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57752; Package emacs. Full text available.

Message received at 57752 <at> debbugs.gnu.org:


Received: (at 57752) by debbugs.gnu.org; 16 Sep 2022 10:14:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 16 06:14:45 2022
Received: from localhost ([127.0.0.1]:41782 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oZ8Mv-0003js-If
	for submit <at> debbugs.gnu.org; Fri, 16 Sep 2022 06:14:45 -0400
Received: from quimby.gnus.org ([95.216.78.240]:44276)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oZ8Mt-0003jf-LO
 for 57752 <at> debbugs.gnu.org; Fri, 16 Sep 2022 06:14:44 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :Date:References:In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=qGenzapWcTY8vTEUHObSwB4nxokK8o1vq9pekhZgm1g=; b=unhApQUJRORb6z3Kerg/L0WTG5
 eqPQEe3eoSPBqxI5Nh9YP8lFhkJRAUuhqqwE9DXs7RX0QR3NR0up5QLR1gyoUuNr4/TOHe9aLRzmT
 H4/iJk+z/dNO9tP4ftpcuSjOwdjjgOZrbBn23JL9cC6R40MBFCOSBNfPoXO/UDjwT3uo=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oZ8Mk-000304-1o; Fri, 16 Sep 2022 12:14:36 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#57752: 28.1.91; emacsclient-mail.desktop doesn't work for me
In-Reply-To: <87bkrfiqbg.fsf@HIDDEN> (Robert Pluim's message of "Fri, 16
 Sep 2022 12:09:07 +0200")
References: <87r10gcum8.fsf@HIDDEN> <87bkrj31r0.fsf@HIDDEN>
 <87y1unxv15.fsf@HIDDEN> <83leqn4cji.fsf@HIDDEN>
 <87v8prxtox.fsf@HIDDEN>
 <a3cdfbd9-6e2e-c76d-c834-9ee1684fc97e@HIDDEN>
 <878rmjy78x.fsf@HIDDEN> <87bkrfiqbg.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwAgMAAAAqbBEUAAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAADFBMVEVYR0Gzl40cFxj/
 //8PP2EEAAAAAWJLR0QDEQxM8gAAAAd0SU1FB+YJEAoLDLYVd+cAAAGCSURBVCjPRdCxaiMxEAbg
 WbELuamM2Q3BVRwIGD3FpggcqnRCs8VWLkOeQmtuIai6Yp3iKl24gDxPeZJ8dtR9zC/0awDqVWMB
 mmH+gcAffjLc0BDu1gU29DQszybjkwI2w0JDxtG8waON4pBwaG2ot1YxF2z31ZM1Ba6jvrHDe8FC
 tG+6NEgQR6IXAMscE34RKQ6dzBM/PdPIXKku1cEJyEp2QAr+eCdOZDnAk4FPDwKJ5ArUGgBXyDPF
 vlKbhDv00Qae1Qh/cRSeD8gnkuCUcek9ydEyvOHoWN6nMiNDVCZEmfrHV4ZK6V7ya0kCJJhTKvaR
 uu2U2dEDl5Ogb3pzhal0LX0Bez1pwG/yDNPWUMcz0IiqP/6PoQYQLX8BhgtWLcD6AleWzFFkgFyH
 vKcCEXV84KgxQeFEKCV3Bb93jWAMs84xH9N6xc9tAUfaBzlrdGd8F5vZBshgjLdm1r0oYG7xCFoW
 BF54STcuE79AxqaA3X1+tBReUpSvQOeveC//+QdMJ+dea517bQAAACV0RVh0ZGF0ZTpjcmVhdGUA
 MjAyMi0wOS0xNlQxMDoxMToxMiswMDowMMDO1DcAAAAldEVYdGRhdGU6bW9kaWZ5ADIwMjItMDkt
 MTZUMTA6MTE6MTIrMDA6MDCxk2yLAAAAAElFTkSuQmCC
X-Now-Playing: Neil Young & Crazy Horse's _American Stars 'N Bars_: "The Old
 Country Waltz"
Date: Fri, 16 Sep 2022 12:14:33 +0200
Message-ID: <87bkrfwrqu.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Robert Pluim <rpluim@HIDDEN> writes: > Lars> I've idly
 wondered before whether we should add a general > Lars> mechanism for > Lars>
 this to avoid having to create functions that look at > Lars>
 `command-line-args-left' themselves. (And [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57752
Cc: Damien Cassou <damien@HIDDEN>, Jim Porter <jporterbugs@HIDDEN>,
 Eli Zaretskii <eliz@HIDDEN>, git@HIDDEN, 57752 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Robert Pluim <rpluim@HIDDEN> writes:

>     Lars> I've idly wondered before whether we should add a general
>     Lars> mechanism for
>     Lars> this to avoid having to create functions that look at
>     Lars> `command-line-args-left' themselves.  (And --eval is problemati=
c in
>     Lars> circumstances like this.)
>
> emacsclient interprets
>
>     emacsclient arg1 arg2 --eval (form1) (form2) (form3)
>
> as "send (form1), then (form2) then (form3), so by analogy this:
>
>     Lars> --function foo --function-args bar zot gazonk
>
> doesn=CA=BCt require a --function-args parameter

I was thinking first and foremost about on the Emacs side, not on the
emacsside client.  But if then Emacs had --function-args, then by
analogy, emacsclient should also have it.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57752; Package emacs. Full text available.

Message received at 57752 <at> debbugs.gnu.org:


Received: (at 57752) by debbugs.gnu.org; 16 Sep 2022 10:09:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 16 06:09:16 2022
Received: from localhost ([127.0.0.1]:41769 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oZ8Hc-0003bA-34
	for submit <at> debbugs.gnu.org; Fri, 16 Sep 2022 06:09:16 -0400
Received: from mail-wm1-f50.google.com ([209.85.128.50]:46702)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1oZ8Hb-0003ay-2N
 for 57752 <at> debbugs.gnu.org; Fri, 16 Sep 2022 06:09:15 -0400
Received: by mail-wm1-f50.google.com with SMTP id
 n40-20020a05600c3ba800b003b49aefc35fso6265915wms.5
 for <57752 <at> debbugs.gnu.org>; Fri, 16 Sep 2022 03:09:15 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:message-id:date:references
 :in-reply-to:subject:cc:to:from:from:to:cc:subject:date;
 bh=nvVyV4gUbda/6D0lyDc2V4cTiW3SMcDOUUHiM0I9GWk=;
 b=Kkb/DShXlkxcH2qkvluJ6UEt0bFBQVfwwMqgIuaynt2t836a30jNqnyly7pSFaHDtX
 kVsRHzj/inOijQJYMXGwVPIC8/uzZfeK0dyKw/c797YVZPJOS/y890UWvQgAqtBuTfZG
 veCOht8I6usTc39iMVMcHOMf8ZeVfF3Cub+n0bzBC78WGgyOhYrLWBftK/Sp4Tmkzj9w
 sVxY5u3KhfhkcsDQqmsaL2oTH+cuqUKFJqsD/bKBzXoZkhGX9jbkasznA1JDLBg/ViX0
 PK1caDBUNWWfsQul1nVl9c88y5M8IyJ9sAWN/aYmrA6nxcv1qlBX5p+u74ImIV7oye1v
 H+lA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:message-id:date:references
 :in-reply-to:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date;
 bh=nvVyV4gUbda/6D0lyDc2V4cTiW3SMcDOUUHiM0I9GWk=;
 b=cnRoLRrAxWpibweSQnXD66dmHvNOV9DRX9KZS+GZCMSSjebxFrV7ixlPCovxhcstwa
 QhA6eKAJdwGaevl9ZPnh9XVbcdZnc8LpMm+oEkUWeueaPuPYyiJwyu7Krgofbu3nO4sw
 SrL1vHTl/xOJMp2xii31Pb9RL21mZ6bla/7cUAPEWT0lNCCGOuGc8KoeHueIL8Ye7wV/
 u/p6eZthfiL0tfr44H1PXS81lsi4O95a+eFwCjKFL2Nu/opAhQncQ1ua/Xz1KlbyQfR8
 fxIyvGOj4/hnmnWU1kGbOBfuFKm+BXSQZrkedWNkmkvg85XSGleiIQzqtV/flEofVE0i
 ehkw==
X-Gm-Message-State: ACrzQf0tffnZCuvpSaUJqitZ/V55sHNrUnzTFjb/9eyd3PN+3eEdU+T8
 rTN1RpWOMrFm4XoIYfYtDqqaYChfdRMeZg==
X-Google-Smtp-Source: AMsMyM6QxAC/LE87bet9lcNKPsj2BpP/aDOhg1ax/N001D2oR1C3oNXTg09A2uDwGyMQspynID/+Sw==
X-Received: by 2002:a05:600c:5110:b0:3b4:b3d7:c30f with SMTP id
 o16-20020a05600c511000b003b4b3d7c30fmr2723518wms.93.1663322948705; 
 Fri, 16 Sep 2022 03:09:08 -0700 (PDT)
Received: from rltb ([2a01:e0a:3f3:fb50:16a0:9848:d23c:7dcb])
 by smtp.gmail.com with ESMTPSA id
 v128-20020a1cac86000000b003b476bb2624sm1824291wme.6.2022.09.16.03.09.07
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 16 Sep 2022 03:09:08 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#57752: 28.1.91; emacsclient-mail.desktop doesn't work for me
In-Reply-To: <878rmjy78x.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Fri,
 16 Sep 2022 11:54:22 +0200")
References: <87r10gcum8.fsf@HIDDEN> <87bkrj31r0.fsf@HIDDEN>
 <87y1unxv15.fsf@HIDDEN> <83leqn4cji.fsf@HIDDEN>
 <87v8prxtox.fsf@HIDDEN>
 <a3cdfbd9-6e2e-c76d-c834-9ee1684fc97e@HIDDEN>
 <878rmjy78x.fsf@HIDDEN>
Date: Fri, 16 Sep 2022 12:09:07 +0200
Message-ID: <87bkrfiqbg.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 57752
Cc: Damien Cassou <damien@HIDDEN>, Jim Porter <jporterbugs@HIDDEN>,
 Eli Zaretskii <eliz@HIDDEN>, git@HIDDEN, 57752 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Fri, 16 Sep 2022 11:54:22 +0200, Lars Ingebrigtsen <larsi@HIDDEN=
> said:

    Lars> I've idly wondered before whether we should add a general mechani=
sm for
    Lars> this to avoid having to create functions that look at
    Lars> `command-line-args-left' themselves.  (And --eval is problematic =
in
    Lars> circumstances like this.)

emacsclient interprets

    emacsclient arg1 arg2 --eval (form1) (form2) (form3)

as "send (form1), then (form2) then (form3), so by analogy this:

    Lars> --function foo --function-args bar zot gazonk

doesn=CA=BCt require a --function-args parameter

    Lars> would result in calling `foo' with those arguments.

    Lars> Hm...  would we need some way to say "here's the end of
    Lars> --function-args", perhaps?  "--"?  So:

and this also isn=CA=BCt necessary, since the end of args is implicit by
reaching the end of the arguments, same as '--eval'

    Lars> --function foo --function-args bar zot gazonk --

    Lars> Anybody have any thoughts here?

I idly wondered whether emacsclient could create a monster =CA=BC--eval=CA=
=BC
form with a binding for `command-line-args-left', but then I started
having nightmares about string handling in C, so perhaps it=CA=BCs best to
just send stuff over to emacs and let server.el handle it :-)

Robert
--=20




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57752; Package emacs. Full text available.

Message received at 57752 <at> debbugs.gnu.org:


Received: (at 57752) by debbugs.gnu.org; 16 Sep 2022 09:54:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 16 05:54:35 2022
Received: from localhost ([127.0.0.1]:41712 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oZ83O-0000zq-Ut
	for submit <at> debbugs.gnu.org; Fri, 16 Sep 2022 05:54:35 -0400
Received: from quimby.gnus.org ([95.216.78.240]:43942)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oZ83N-0000zd-4f
 for 57752 <at> debbugs.gnu.org; Fri, 16 Sep 2022 05:54:33 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=09ZM6l5+m/tRhzWitwnk5ey3Z39vjxEgtWGYRt9ePVw=; b=Qe5fG+7uCjQX1KKmNrm7XU+gD6
 GvAmPzI77omKoiCxRlj9Gvl00TDxsBM0B4XfUH+2nOHRFIQhz2AgBGPu4Gl44QJwnNIQN83nkYZGg
 96Qt2sYRDLgThML8wV5QBD4wlmvbk4sfa7y7qxFBXHI9/eYEBvyKBFmL6OlJCtk8fOuM=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oZ83D-0002pE-3o; Fri, 16 Sep 2022 11:54:25 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Jim Porter <jporterbugs@HIDDEN>
Subject: Re: bug#57752: 28.1.91; emacsclient-mail.desktop doesn't work for me
In-Reply-To: <a3cdfbd9-6e2e-c76d-c834-9ee1684fc97e@HIDDEN> (Jim Porter's
 message of "Thu, 15 Sep 2022 11:30:55 -0700")
References: <87r10gcum8.fsf@HIDDEN> <87bkrj31r0.fsf@HIDDEN>
 <87y1unxv15.fsf@HIDDEN> <83leqn4cji.fsf@HIDDEN>
 <87v8prxtox.fsf@HIDDEN>
 <a3cdfbd9-6e2e-c76d-c834-9ee1684fc97e@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwAgMAAAAqbBEUAAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAACVBMVEU2LCuzkVj////D
 FCTDAAAAAWJLR0QCZgt8ZAAAAAlwSFlzAAALEgAACxIB0t1+/AAAAAd0SU1FB+YJEAkFHUBgxMIA
 AACjSURBVCjPvdHBDoMwCABQmsi9S+R/2sPuLIH//xUBraXLtuNIPLyCBRSAGLDBFXw9HsVPd0ix
 ZZSvgAb/iDn1O5YB9gzhnMmvPHLZsg5+xNJPBcp9MxnkhpaegKIDT9UfoIGuygkCCTzRDHNQGyEh
 /eDqGI2q7YzqYWkqA74lGRqfa3j9ZhXR2t4PoOdI40MwdDt92QQGAb+tRwq1R696Lu8FB9XeINDC
 9y8+AAAAWmVYSWZNTQAqAAAACAAFARIAAwAAAAEAAQAAARoABQAAAAEAAABKARsABQAAAAEAAABS
 ASgAAwAAAAEAAgAAAhMAAwAAAAEAAQAAAAAAAAAAAEgAAAABAAAASAAAAAEfUvc0AAAAJXRFWHRk
 YXRlOmNyZWF0ZQAyMDIyLTA5LTE2VDA5OjA1OjI5KzAwOjAwnrkTCgAAACV0RVh0ZGF0ZTptb2Rp
 ZnkAMjAyMi0wOS0xNlQwOTowNToyOSswMDowMO/kq7YAAAAXdEVYdGV4aWY6WUNiQ3JQb3NpdGlv
 bmluZwAxrA+AYwAAAABJRU5ErkJggg==
X-Now-Playing: Sly Stone's _I'm Just Like You: Sly's Stone Flower
 1969-1970_: "I'm Just Like You (full band version)"
Date: Fri, 16 Sep 2022 11:54:22 +0200
Message-ID: <878rmjy78x.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Jim Porter <jporterbugs@HIDDEN> writes: >> no because
 --eval
 would require a valid elisp expression such as >> emacsclient --eval
 (message-mailto
 "%u") >> which seems to go against the specification constraint. I thought
 >> about >> using s [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57752
Cc: Damien Cassou <damien@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>,
 git@HIDDEN, 57752 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Jim Porter <jporterbugs@HIDDEN> writes:

>> no because --eval would require a valid elisp expression such as
>>    emacsclient --eval (message-mailto "%u")
>> which seems to go against the specification constraint. I thought
>> about
>> using something like the following:
>>    emacsclient --function message-mailto-reading-cli-args %u
>
> I agree that this would be a useful feature. Org Mode could also
> benefit from it (and probably some other places too). See
> https://lists.gnu.org/archive/html/emacs-orgmode/2022-02/msg00056.html

I've idly wondered before whether we should add a general mechanism for
this to avoid having to create functions that look at
`command-line-args-left' themselves.  (And --eval is problematic in
circumstances like this.)

So something like

--function foo --function-args bar zot gazonk

would result in calling `foo' with those arguments.

Hm...  would we need some way to say "here's the end of
--function-args", perhaps?  "--"?  So:

--function foo --function-args bar zot gazonk --

Anybody have any thoughts here?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57752; Package emacs. Full text available.

Message received at 57752 <at> debbugs.gnu.org:


Received: (at 57752) by debbugs.gnu.org; 15 Sep 2022 18:31:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 15 14:31:05 2022
Received: from localhost ([127.0.0.1]:59156 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oYtdh-0001dC-7K
	for submit <at> debbugs.gnu.org; Thu, 15 Sep 2022 14:31:05 -0400
Received: from mail-pl1-f178.google.com ([209.85.214.178]:36512)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jporterbugs@HIDDEN>) id 1oYtdd-0001cZ-JO
 for 57752 <at> debbugs.gnu.org; Thu, 15 Sep 2022 14:31:03 -0400
Received: by mail-pl1-f178.google.com with SMTP id c2so19169949plo.3
 for <57752 <at> debbugs.gnu.org>; Thu, 15 Sep 2022 11:31:01 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:content-language:in-reply-to:mime-version
 :date:message-id:from:references:cc:to:subject:from:to:cc:subject
 :date; bh=4C7gHBegz46iuC89AW2BJ4LlxpSCSnNTNDkHuSp9UR4=;
 b=kqMx/xNydLVzwK6ZIWqLL5BLG0ONY2U/NSKL+tsO5e+6V5KbScIowErDg3uUP8LMGt
 +nOHjWhR4BhAXwkBr+66uWIzfuph8HsB/GM19fGRdMDYsFpQDgl0aZR06I5/o8L6sdzF
 gS5F5RLhQhDc2BpiG8rpIsaVZO9O+EswFCM5uq9nS8Kn6+Jr55IWBTHiFuGJSnOMIX/b
 g5s/Zqz+L8EW5qFfKCyC7tsidORPQkMSRQuJ3gnP/l2/zpF1k6SLKoiBx9BGBLm3+nTG
 I8y7QEoy7LmE08RV+m5uAvw/AOctKAJBAmrTR3gX7uwn2q5Td3WX3Fyk96XiRbBOs11G
 eelg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:content-language:in-reply-to:mime-version
 :date:message-id:from:references:cc:to:subject:x-gm-message-state
 :from:to:cc:subject:date;
 bh=4C7gHBegz46iuC89AW2BJ4LlxpSCSnNTNDkHuSp9UR4=;
 b=T8c4hcOaoKjk3Z/UYKaOs8U+Hf+PDHju6rLZxJIJqpptLvdWut9IZnWhwpLS/yAxX0
 zbdvNN8tArd9ZgvilhbG5kmYjGRhBvBqUqeKog1CFUJFUnq0tW4NKFZXkSVNk/MRiwmX
 KqOHWI/XSsCY2ZKKqi2omLxSPas5ZXP6Z2HiQ5Uy+6JBpZD9uAp4kBJkQfG5IoTg0BiK
 AvyI5uWQ/8HYfhKEQV24rWGiaR1aa54mJYJGoUu3Ka0iM257esfwbDJ61aIAOMaEaORi
 nGoXBvak4wbJ5lQn1ovY1kaX6Ym823htWO3w4jmrF/L9vKVmhlmVQvSaX6tkf0JNZSBf
 7Zag==
X-Gm-Message-State: ACrzQf3Hin78PuFGHDVF5HLDWtmOlYJcisfHVm0At9C6bMAQCpaubbYH
 XHVamlq+n3o0JpKvzV+ollBsfb+o/LU=
X-Google-Smtp-Source: AMsMyM4ZzKJUsr2333dk2nP3FYpOFAseU80lBigfFO77WXgkrBKyjwVqNRmxtKf6k6txZ5FhIMg3Ew==
X-Received: by 2002:a17:90a:7642:b0:200:4a5e:1227 with SMTP id
 s2-20020a17090a764200b002004a5e1227mr1186326pjl.91.1663266655755; 
 Thu, 15 Sep 2022 11:30:55 -0700 (PDT)
Received: from [192.168.1.2] (cpe-76-168-148-233.socal.res.rr.com.
 [76.168.148.233]) by smtp.googlemail.com with ESMTPSA id
 h9-20020aa796c9000000b005366696b735sm12964018pfq.77.2022.09.15.11.30.54
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Thu, 15 Sep 2022 11:30:54 -0700 (PDT)
Subject: Re: bug#57752: 28.1.91; emacsclient-mail.desktop doesn't work for me
To: Damien Cassou <damien@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
References: <87r10gcum8.fsf@HIDDEN> <87bkrj31r0.fsf@HIDDEN>
 <87y1unxv15.fsf@HIDDEN> <83leqn4cji.fsf@HIDDEN>
 <87v8prxtox.fsf@HIDDEN>
From: Jim Porter <jporterbugs@HIDDEN>
Message-ID: <a3cdfbd9-6e2e-c76d-c834-9ee1684fc97e@HIDDEN>
Date: Thu, 15 Sep 2022 11:30:55 -0700
MIME-Version: 1.0
In-Reply-To: <87v8prxtox.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57752
Cc: larsi@HIDDEN, git@HIDDEN, 57752 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 9/13/2022 6:58 AM, Damien Cassou wrote:
> no because --eval would require a valid elisp expression such as
> 
>    emacsclient --eval (message-mailto "%u")
> 
> which seems to go against the specification constraint. I thought about
> using something like the following:
> 
>    emacsclient --function message-mailto-reading-cli-args %u

I agree that this would be a useful feature. Org Mode could also benefit 
from it (and probably some other places too). See 
https://lists.gnu.org/archive/html/emacs-orgmode/2022-02/msg00056.html




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57752; Package emacs. Full text available.

Message received at 57752 <at> debbugs.gnu.org:


Received: (at 57752) by debbugs.gnu.org; 13 Sep 2022 15:32:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 13 11:32:49 2022
Received: from localhost ([127.0.0.1]:52509 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oY7u5-0006QG-Ip
	for submit <at> debbugs.gnu.org; Tue, 13 Sep 2022 11:32:49 -0400
Received: from mail.choca.pics ([80.67.172.235]:50054)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <damien@HIDDEN>) id 1oY7u2-0006Px-6C
 for 57752 <at> debbugs.gnu.org; Tue, 13 Sep 2022 11:32:46 -0400
Received: from localhost (localhost.localdomain [IPv6:::1])
 by mail.choca.pics (Postfix) with ESMTP id A6400181942AA;
 Tue, 13 Sep 2022 17:32:44 +0200 (CEST)
Received: from mail.choca.pics ([IPv6:::1])
 by localhost (mail.choca.pics [IPv6:::1]) (amavisd-new, port 10032)
 with ESMTP id dt7rdb1nffSO; Tue, 13 Sep 2022 17:32:44 +0200 (CEST)
Received: from localhost (localhost.localdomain [IPv6:::1])
 by mail.choca.pics (Postfix) with ESMTP id 20B26181942A7;
 Tue, 13 Sep 2022 17:32:44 +0200 (CEST)
X-Virus-Scanned: amavisd-new at choca.pics
Received: from mail.choca.pics ([IPv6:::1])
 by localhost (mail.choca.pics [IPv6:::1]) (amavisd-new, port 10026)
 with ESMTP id UAml0clb-1-l; Tue, 13 Sep 2022 17:32:43 +0200 (CEST)
Received: from localhost (240-68-190-109.dsl.ovh.fr [109.190.68.240])
 by mail.choca.pics (Postfix) with ESMTPSA id CDF6E181929F6;
 Tue, 13 Sep 2022 17:32:43 +0200 (CEST)
From: Damien Cassou <damien@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#57752: 28.1.91; emacsclient-mail.desktop doesn't work for me
In-Reply-To: <87sfkvl3un.fsf@HIDDEN>
References: <87r10gcum8.fsf@HIDDEN> <87bkrj31r0.fsf@HIDDEN>
 <87y1unxv15.fsf@HIDDEN> <83leqn4cji.fsf@HIDDEN>
 <87v8prxtox.fsf@HIDDEN> <87sfkvl3un.fsf@HIDDEN>
Date: Tue, 13 Sep 2022 17:32:37 +0200
Message-ID: <87sfkvxpbe.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57752
Cc: Eli Zaretskii <eliz@HIDDEN>, git@HIDDEN, larsi@HIDDEN,
 57752 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Robert Pluim <rpluim@HIDDEN> writes:
> `message-mailto' already looks at `command-line-args-left' (and has
> done so for quite some time), so all we need is the '-f <function'
> bit, which would be a nice addition.

Excellent news, I should have checked! Thank you.

-- 
Damien Cassou

"Success is the ability to go from one failure to another without
losing enthusiasm." --Winston Churchill




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57752; Package emacs. Full text available.

Message received at 57752 <at> debbugs.gnu.org:


Received: (at 57752) by debbugs.gnu.org; 13 Sep 2022 14:57:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 13 10:57:15 2022
Received: from localhost ([127.0.0.1]:52425 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oY7Lf-0007Pp-Ly
	for submit <at> debbugs.gnu.org; Tue, 13 Sep 2022 10:57:15 -0400
Received: from mail-wr1-f51.google.com ([209.85.221.51]:36811)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1oY7Ld-0007Pb-0F
 for 57752 <at> debbugs.gnu.org; Tue, 13 Sep 2022 10:57:14 -0400
Received: by mail-wr1-f51.google.com with SMTP id h8so14246934wrf.3
 for <57752 <at> debbugs.gnu.org>; Tue, 13 Sep 2022 07:57:12 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:message-id:date:references:in-reply-to:subject:cc:to
 :from:from:to:cc:subject:date;
 bh=3Nbo/76N7dpaDTg2+zoNd9vfjgbzfAryhC1Ra8JQ1oo=;
 b=Xqr/j2bdqwR4Lq+AqbbUL/YFOW+OwgsbaHrO+iS/U4I27Yl+IsPm4V4/15MbGY5bTK
 tESpyUIsvC8duuhfCsJ2LU1vYRfXuXJNzc1QMcV1dGq2GPJyeUkz4g+FYMPLMT7XuWnx
 e+tqUlLp6wSGIsffUFYBpaCS7C2ACP0zSIlrRT0xl4W3jrUl7a5sa4kBL5MwKE2M/xDY
 zRksVM2HDzkRjCnR5p9s0q8nDcQnvNd8qKAfnXHvtaI/72zTzX1WXKy9euE9a54qWT2A
 VOTHj7alQzmWUMXuCKdN4GzzCXkiEQFV5AN02uHauQ5wYt9jyW2kSrrOeXYVYSuHGxdL
 TekA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=mime-version:message-id:date:references:in-reply-to:subject:cc:to
 :from:x-gm-message-state:from:to:cc:subject:date;
 bh=3Nbo/76N7dpaDTg2+zoNd9vfjgbzfAryhC1Ra8JQ1oo=;
 b=PGrHxufFz6e5IpSXjkYZz7LIqs6u3nis4IhZJ7/369ZpIRLIvuNgte3Zxz16j6Umjz
 Htx6aTh8GkMOJN0jADGnoS0aSwt5zN7FM3mng9gTjC3/OD4fkUVrk3p2lZTPqQDbevqV
 G1OedbVHtSuMPNcycCfjrD+0JZ+uLpOtdGpoHWGqJzmULxRqGSS/W+ZuzU9eH1mePntU
 z+srcLC5wstQeDg2egLi5T6lVOg37nyURiY3PPD6iocQCoZbkbUbcjob8LG1sSJYhFQz
 B1//ZaEtwS0j2WO3jTG+qgJCC3R7Apava+PeUQSOgPd0Ubwe7irSz8B4nm6UNtSScDQu
 Vw1g==
X-Gm-Message-State: ACgBeo235FDwq/KVaw9lFnPVVhaEoDAVSgQR431w1i+OuGAHIcgxZ7y/
 TFQpVi0QnrhtXRROv6wBWIMOiC4eLl8=
X-Google-Smtp-Source: AA6agR5Vf1pXd5MsodP6iH6BE1QveQQcv9gvUQHmOq0dLCVQA3KQTGxAeXOIykB880KSr6pbvoq5RQ==
X-Received: by 2002:adf:df82:0:b0:228:e2cf:d20f with SMTP id
 z2-20020adfdf82000000b00228e2cfd20fmr19610212wrl.356.1663081026389; 
 Tue, 13 Sep 2022 07:57:06 -0700 (PDT)
Received: from rltb ([2a01:e0a:3f3:fb50:16a0:9848:d23c:7dcb])
 by smtp.gmail.com with ESMTPSA id
 j30-20020adfb31e000000b0022a291f683bsm11018492wrd.30.2022.09.13.07.57.05
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 13 Sep 2022 07:57:05 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Damien Cassou <damien@HIDDEN>
Subject: Re: bug#57752: 28.1.91; emacsclient-mail.desktop doesn't work for me
In-Reply-To: <87v8prxtox.fsf@HIDDEN> (Damien Cassou's message of "Tue, 13
 Sep 2022 15:58:06 +0200")
References: <87r10gcum8.fsf@HIDDEN> <87bkrj31r0.fsf@HIDDEN>
 <87y1unxv15.fsf@HIDDEN> <83leqn4cji.fsf@HIDDEN>
 <87v8prxtox.fsf@HIDDEN>
Date: Tue, 13 Sep 2022 16:57:04 +0200
Message-ID: <87sfkvl3un.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57752
Cc: Eli Zaretskii <eliz@HIDDEN>, git@HIDDEN, larsi@HIDDEN,
 57752 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Tue, 13 Sep 2022 15:58:06 +0200, Damien Cassou <damien@HIDDEN> said:
    Damien> which seems to go against the specification constraint. I thought about
    Damien> using something like the following:

    Damien>   emacsclient --function message-mailto-reading-cli-args %u

    Damien> And message-mailto-reading-cli-args would read command-line-args-left or
    Damien> similar to do its job.

    Damien> This requires adding these features to emacsclient and implementing
    Damien> message-mailto-reading-cli-args.

`message-mailto' already looks at `command-line-args-left' (and has
done so for quite some time), so all we need is the '-f <function'
bit, which would be a nice addition.

Robert
-- 




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57752; Package emacs. Full text available.

Message received at 57752 <at> debbugs.gnu.org:


Received: (at 57752) by debbugs.gnu.org; 13 Sep 2022 13:58:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 13 09:58:12 2022
Received: from localhost ([127.0.0.1]:52237 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oY6QW-0001O9-EU
	for submit <at> debbugs.gnu.org; Tue, 13 Sep 2022 09:58:12 -0400
Received: from mail.choca.pics ([80.67.172.235]:48600)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <damien@HIDDEN>) id 1oY6QT-0001O1-UK
 for 57752 <at> debbugs.gnu.org; Tue, 13 Sep 2022 09:58:10 -0400
Received: from localhost (localhost.localdomain [IPv6:::1])
 by mail.choca.pics (Postfix) with ESMTP id 711F7181942AA;
 Tue, 13 Sep 2022 15:58:08 +0200 (CEST)
Received: from mail.choca.pics ([IPv6:::1])
 by localhost (mail.choca.pics [IPv6:::1]) (amavisd-new, port 10032)
 with ESMTP id BwFAemFRXj8X; Tue, 13 Sep 2022 15:58:08 +0200 (CEST)
Received: from localhost (localhost.localdomain [IPv6:::1])
 by mail.choca.pics (Postfix) with ESMTP id F0BA2181942A7;
 Tue, 13 Sep 2022 15:58:07 +0200 (CEST)
X-Virus-Scanned: amavisd-new at choca.pics
Received: from mail.choca.pics ([IPv6:::1])
 by localhost (mail.choca.pics [IPv6:::1]) (amavisd-new, port 10026)
 with ESMTP id MdztlFl_LgZh; Tue, 13 Sep 2022 15:58:07 +0200 (CEST)
Received: from localhost (240-68-190-109.dsl.ovh.fr [109.190.68.240])
 by mail.choca.pics (Postfix) with ESMTPSA id A842C181929F6;
 Tue, 13 Sep 2022 15:58:07 +0200 (CEST)
From: Damien Cassou <damien@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#57752: 28.1.91; emacsclient-mail.desktop doesn't work for me
In-Reply-To: <83leqn4cji.fsf@HIDDEN>
References: <87r10gcum8.fsf@HIDDEN> <87bkrj31r0.fsf@HIDDEN>
 <87y1unxv15.fsf@HIDDEN> <83leqn4cji.fsf@HIDDEN>
Date: Tue, 13 Sep 2022 15:58:06 +0200
Message-ID: <87v8prxtox.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57752
Cc: larsi@HIDDEN, git@HIDDEN, 57752 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:
>> From: Damien Cassou <damien@HIDDEN>
>> One way we could maybe implement this is if
>> it was possible to pass additional CLI arguments to emacsclient and read
>> them from elisp the same way it is possible in batch mode with emacs.
>
> You mean, by using --eval from the emacsclient command line?

no because --eval would require a valid elisp expression such as

  emacsclient --eval (message-mailto "%u")

which seems to go against the specification constraint. I thought about
using something like the following:

  emacsclient --function message-mailto-reading-cli-args %u

And message-mailto-reading-cli-args would read command-line-args-left or
similar to do its job.

This requires adding these features to emacsclient and implementing
message-mailto-reading-cli-args.

-- 
Damien Cassou

"Success is the ability to go from one failure to another without
losing enthusiasm." --Winston Churchill




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57752; Package emacs. Full text available.

Message received at 57752 <at> debbugs.gnu.org:


Received: (at 57752) by debbugs.gnu.org; 13 Sep 2022 13:41:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 13 09:41:44 2022
Received: from localhost ([127.0.0.1]:49350 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oY6Aa-0006Pg-K4
	for submit <at> debbugs.gnu.org; Tue, 13 Sep 2022 09:41:44 -0400
Received: from eggs.gnu.org ([209.51.188.92]:49960)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1oY6AZ-0006PT-4O
 for 57752 <at> debbugs.gnu.org; Tue, 13 Sep 2022 09:41:43 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:39602)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oY6AS-0006x5-8N; Tue, 13 Sep 2022 09:41:36 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=Dm1YRdzzvrBa2V28DRhEJan2XqnRY5fmT/5rThPIIbo=; b=pkeDgspBM98G
 QUzDQyLN6EDqsc69PcUYF65Si2ZJYNa4AgtzOAV2H+Qn277t5vpj3fgo/QbrzmuRtcaDjhxnj8LFV
 59AxRW/v3HIG9r+v1MP5RM98oJnVOvl0sYowMFidtdgZ+S91ODStQUxLY7aryiRtdV9NiuX60bFqJ
 GuhWgxVz50KC0Dcw4G5BCrZS9uPKecJTHAgLpu3XTfHJgyZGhZglSHflsz69xseIY4UGISVPm9yKn
 VQJK9I/BWqdhuGwhroD5vbe3Yj65H9QX2jKqPdzIjUVBAAudb5AzgAXEOgjlAtbtmS0P1DMhsMajD
 TPn6JbSxN7tsKi0WWSv1LQ==;
Received: from [87.69.77.57] (port=4389 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oY6AR-0003d0-OC; Tue, 13 Sep 2022 09:41:36 -0400
Date: Tue, 13 Sep 2022 16:41:21 +0300
Message-Id: <83leqn4cji.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Damien Cassou <damien@HIDDEN>
In-Reply-To: <87y1unxv15.fsf@HIDDEN> (message from Damien Cassou on Tue, 13
 Sep 2022 15:29:10 +0200)
Subject: Re: bug#57752: 28.1.91; emacsclient-mail.desktop doesn't work for me
References: <87r10gcum8.fsf@HIDDEN> <87bkrj31r0.fsf@HIDDEN>
 <87y1unxv15.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57752
Cc: larsi@HIDDEN, git@HIDDEN, 57752 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: Peter Oliver <git@HIDDEN>, 57752 <at> debbugs.gnu.org
> From: Damien Cassou <damien@HIDDEN>
> Date: Tue, 13 Sep 2022 15:29:10 +0200
> 
> One way we could maybe implement this is if
> it was possible to pass additional CLI arguments to emacsclient and read
> them from elisp the same way it is possible in batch mode with emacs.

You mean, by using --eval from the emacsclient command line?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57752; Package emacs. Full text available.

Message received at 57752 <at> debbugs.gnu.org:


Received: (at 57752) by debbugs.gnu.org; 13 Sep 2022 13:29:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 13 09:29:29 2022
Received: from localhost ([127.0.0.1]:49314 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oY5yi-0003vr-Kh
	for submit <at> debbugs.gnu.org; Tue, 13 Sep 2022 09:29:28 -0400
Received: from mail.choca.pics ([80.67.172.235]:48062)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <damien@HIDDEN>) id 1oY5yg-0003vi-4m
 for 57752 <at> debbugs.gnu.org; Tue, 13 Sep 2022 09:29:27 -0400
Received: from localhost (localhost.localdomain [IPv6:::1])
 by mail.choca.pics (Postfix) with ESMTP id 23685181942AA;
 Tue, 13 Sep 2022 15:29:24 +0200 (CEST)
Received: from mail.choca.pics ([IPv6:::1])
 by localhost (mail.choca.pics [IPv6:::1]) (amavisd-new, port 10032)
 with ESMTP id LCCpxC2LlRcP; Tue, 13 Sep 2022 15:29:23 +0200 (CEST)
Received: from localhost (localhost.localdomain [IPv6:::1])
 by mail.choca.pics (Postfix) with ESMTP id 9A185181942A7;
 Tue, 13 Sep 2022 15:29:23 +0200 (CEST)
X-Virus-Scanned: amavisd-new at choca.pics
Received: from mail.choca.pics ([IPv6:::1])
 by localhost (mail.choca.pics [IPv6:::1]) (amavisd-new, port 10026)
 with ESMTP id DflWS8I81rpT; Tue, 13 Sep 2022 15:29:23 +0200 (CEST)
Received: from localhost (240-68-190-109.dsl.ovh.fr [109.190.68.240])
 by mail.choca.pics (Postfix) with ESMTPSA id 4433F181929F6;
 Tue, 13 Sep 2022 15:29:23 +0200 (CEST)
From: Damien Cassou <damien@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#57752: 28.1.91; emacsclient-mail.desktop doesn't work for me
In-Reply-To: <87bkrj31r0.fsf@HIDDEN>
References: <87r10gcum8.fsf@HIDDEN> <87bkrj31r0.fsf@HIDDEN>
Date: Tue, 13 Sep 2022 15:29:10 +0200
Message-ID: <87y1unxv15.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57752
Cc: Peter Oliver <git@HIDDEN>, 57752 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:
> I'd prefer to have a .desktop file that works without any helper
> scripts.   Can't the emacsclient-mail.desktop file be rewritten to not
> use quoting here?

This is maybe possible but I haven't found a way. Moreover, the
constraints that "Field codes must not be used inside a quoted argument"
makes things more complex. One way we could maybe implement this is if
it was possible to pass additional CLI arguments to emacsclient and read
them from elisp the same way it is possible in batch mode with emacs.

-- 
Damien Cassou

"Success is the ability to go from one failure to another without
losing enthusiasm." --Winston Churchill




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57752; Package emacs. Full text available.

Message received at 57752 <at> debbugs.gnu.org:


Received: (at 57752) by debbugs.gnu.org; 13 Sep 2022 12:20:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 13 08:20:01 2022
Received: from localhost ([127.0.0.1]:49184 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oY4tU-0008JK-VX
	for submit <at> debbugs.gnu.org; Tue, 13 Sep 2022 08:20:01 -0400
Received: from quimby.gnus.org ([95.216.78.240]:36032)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oY4tT-0008J3-CD
 for 57752 <at> debbugs.gnu.org; Tue, 13 Sep 2022 08:19:59 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=1YT50xsnLM+0uiJMghWQq7r+2g+I8I5tfoByAbfjuek=; b=KIvnrUceMMFkGDruOdkdz9BX0g
 CYyJn4Gr6wj2JXjJuZMM52VBpYeasq3pm3HN2SsHGFxMXDd8lgj+hxj7cGCF74XBc5++zlflus2rj
 vkrM+JzFZvcLnxmvJnSFxhT2Dq3eaw3vKWY8u6MnDbsvkrAQTdkCR5fpLSxML7lYeL6g=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oY4tK-0002Uz-Df; Tue, 13 Sep 2022 14:19:52 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Damien Cassou <damien@HIDDEN>
Subject: Re: bug#57752: 28.1.91; emacsclient-mail.desktop doesn't work for me
In-Reply-To: <87r10gcum8.fsf@HIDDEN> (Damien Cassou's message of "Mon, 12
 Sep 2022 20:31:27 +0200")
References: <87r10gcum8.fsf@HIDDEN>
X-Now-Playing: Hood's _Noise, Warmth and Unassuming Grace_: "Rural Colours"
Date: Tue, 13 Sep 2022 14:19:47 +0200
Message-ID: <87bkrj31r0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Damien Cassou <damien@HIDDEN> writes: > Anyway, I found
 a way to always have it working: > > 1. create a file emacs-compose-email.sh
 that starts emacsclient > 2. add the executable bit to the file > 3. reference
 the shell script from emac [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57752
Cc: Peter Oliver <git@HIDDEN>, 57752 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Damien Cassou <damien@HIDDEN> writes:

> Anyway, I found a way to always have it working:
>
> 1. create a file emacs-compose-email.sh that starts emacsclient
> 2. add the executable bit to the file
> 3. reference the shell script from emacsclient-mail.desktop
>
> See below for the script and .desktop file. Another advantage of this
> approach is that the desktop file becomes much simpler with much less
> backslashes.
>
> My question is: do you want a patch with this change?

I'd prefer to have a .desktop file that works without any helper
scripts.   Can't the emacsclient-mail.desktop file be rewritten to not
use quoting here?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57752; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Sep 2022 18:31:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 12 14:31:46 2022
Received: from localhost ([127.0.0.1]:47837 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oXoDg-0007FS-Fv
	for submit <at> debbugs.gnu.org; Mon, 12 Sep 2022 14:31:46 -0400
Received: from lists.gnu.org ([209.51.188.17]:52308)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <damien@HIDDEN>) id 1oXoDZ-0007FF-S3
 for submit <at> debbugs.gnu.org; Mon, 12 Sep 2022 14:31:41 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:42146)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <damien@HIDDEN>) id 1oXoDZ-00021B-CB
 for bug-gnu-emacs@HIDDEN; Mon, 12 Sep 2022 14:31:37 -0400
Received: from mail.choca.pics ([2001:910:1410:500::1]:48094)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <damien@HIDDEN>) id 1oXoDW-0008Dq-QS
 for bug-gnu-emacs@HIDDEN; Mon, 12 Sep 2022 14:31:36 -0400
Received: from localhost (localhost.localdomain [IPv6:::1])
 by mail.choca.pics (Postfix) with ESMTP id E7F62181942A3;
 Mon, 12 Sep 2022 20:31:29 +0200 (CEST)
Received: from mail.choca.pics ([IPv6:::1])
 by localhost (mail.choca.pics [IPv6:::1]) (amavisd-new, port 10032)
 with ESMTP id 48tgsv_wiMOy; Mon, 12 Sep 2022 20:31:29 +0200 (CEST)
Received: from localhost (localhost.localdomain [IPv6:::1])
 by mail.choca.pics (Postfix) with ESMTP id 2715A181942A2;
 Mon, 12 Sep 2022 20:31:29 +0200 (CEST)
X-Virus-Scanned: amavisd-new at choca.pics
Received: from mail.choca.pics ([IPv6:::1])
 by localhost (mail.choca.pics [IPv6:::1]) (amavisd-new, port 10026)
 with ESMTP id mjF5xZeAOygW; Mon, 12 Sep 2022 20:31:28 +0200 (CEST)
Received: from localhost (153.226.95.79.rev.sfr.net [79.95.226.153])
 by mail.choca.pics (Postfix) with ESMTPSA id C3F9C181929F6;
 Mon, 12 Sep 2022 20:31:28 +0200 (CEST)
From: Damien Cassou <damien@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.1.91; emacsclient-mail.desktop doesn't work for me
Date: Mon, 12 Sep 2022 20:31:27 +0200
Message-ID: <87r10gcum8.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=2001:910:1410:500::1;
 envelope-from=damien@HIDDEN; helo=mail.choca.pics
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001, T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: Peter Oliver <git@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

Hi,

The file emacsclient-mail.desktop that is provided by Emacs (see below
for an excerpt) doesn't seem to work for me. I would like mailto: links
in the web browser to open with emacsclient but nothing happens. How to
reproduce:

1. start the Emacs daemon (if not already done)

2. go to
https://lists.gnu.org/archive/html/emacs-devel/2022-09/msg00320.html in
a non-Emacs web browser

3. click the "Eli Zaretskii" button after "reply via email to"

Expected: An Emacs client frame appears with a buffer in message mode
Actual: Nothing happens

If you try to reproduce and you get a different application opening to
compose your email, you might want to add the following to
~/.config/mimeapps.list:

  [Default Applications]
  x-scheme-handler/mailto=emacsclient-mail.desktop

It feels like launching my web browser from the terminal sometimes makes
it work, but that's not really reliable.

The freedesktop Desktop Entry Specification [1] contains:

  Field codes must not be used inside a quoted argument, the result of
  field code expansion inside a quoted argument is undefined.

It seems to me that the .desktop file Emacs provides does just that: use
a field code (%u) inside a quoted argument. I might be wrong in the
interpretation of the spec though as the next sentence in the spec seems
to contradict this interpretation.

Anyway, I found a way to always have it working:

1. create a file emacs-compose-email.sh that starts emacsclient
2. add the executable bit to the file
3. reference the shell script from emacsclient-mail.desktop

See below for the script and .desktop file. Another advantage of this
approach is that the desktop file becomes much simpler with much less
backslashes.

My question is: do you want a patch with this change?

emacs-compose-email.sh:
  #!/usr/bin/env bash
  emacsclient --alternate-editor= --eval "(message-mailto \"$1\")"

Working emacsclient-mail.desktop:
  [Desktop Entry]
  Exec=emacs-compose-email.sh %u
  MimeType=x-scheme-handler/mailto
  Name=Emacs (Mail, Client)
  NoDisplay=true
  Terminal=false
  Type=Application
  Version=1.4

Excerpt of the existing (non-working) emacsclient-mail.desktop:
  [Desktop Entry]
  Exec=sh -c "exec emacsclient --alternate-editor= --display=\\"\\$DISPLAY\\" --eval \\\\(message-mailto\\\\ \\\\\\"%u\\\\\\"\\\\)"
  Name=Emacs (Mail, Client)
  MimeType=x-scheme-handler/mailto;
  Actions=new-window;new-instance;
  
  [Desktop Action new-window]
  Name=New Window
  Exec=emacsclient --alternate-editor= --create-frame --eval "(message-mailto \\"%u\\")"
  
  [Desktop Action new-instance]
  Name=New Instance
  Exec=emacs -f message-mailto %u

[1]: https://specifications.freedesktop.org/desktop-entry-spec/desktop-entry-spec-latest.html#exec-variables

-- 
Damien Cassou

"Success is the ability to go from one failure to another without
losing enthusiasm." --Winston Churchill




Acknowledgement sent to Damien Cassou <damien@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#57752; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 19 Sep 2022 16:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.